// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles

// eslint-disable-next-line no-global-assign
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  for (var i = 0; i < entry.length; i++) {
    newRequire(entry[i]);
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  return newRequire;
})({"../../node_modules/preact/dist/preact.mjs":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createElement = exports.h = h;
exports.cloneElement = cloneElement;
exports.createRef = createRef;
exports.Component = Component;
exports.render = render;
exports.rerender = rerender;
exports.options = exports.default = void 0;

var VNode = function VNode() {};

var options = {};
exports.options = options;
var stack = [];
var EMPTY_CHILDREN = [];

function h(nodeName, attributes) {
  var children = EMPTY_CHILDREN,
      lastSimple,
      child,
      simple,
      i;

  for (i = arguments.length; i-- > 2;) {
    stack.push(arguments[i]);
  }

  if (attributes && attributes.children != null) {
    if (!stack.length) stack.push(attributes.children);
    delete attributes.children;
  }

  while (stack.length) {
    if ((child = stack.pop()) && child.pop !== undefined) {
      for (i = child.length; i--;) {
        stack.push(child[i]);
      }
    } else {
      if (typeof child === 'boolean') child = null;

      if (simple = typeof nodeName !== 'function') {
        if (child == null) child = '';else if (typeof child === 'number') child = String(child);else if (typeof child !== 'string') simple = false;
      }

      if (simple && lastSimple) {
        children[children.length - 1] += child;
      } else if (children === EMPTY_CHILDREN) {
        children = [child];
      } else {
        children.push(child);
      }

      lastSimple = simple;
    }
  }

  var p = new VNode();
  p.nodeName = nodeName;
  p.children = children;
  p.attributes = attributes == null ? undefined : attributes;
  p.key = attributes == null ? undefined : attributes.key;
  if (options.vnode !== undefined) options.vnode(p);
  return p;
}

function extend(obj, props) {
  for (var i in props) {
    obj[i] = props[i];
  }

  return obj;
}

function applyRef(ref, value) {
  if (ref != null) {
    if (typeof ref == 'function') ref(value);else ref.current = value;
  }
}

var defer = typeof Promise == 'function' ? Promise.resolve().then.bind(Promise.resolve()) : setTimeout;

function cloneElement(vnode, props) {
  return h(vnode.nodeName, extend(extend({}, vnode.attributes), props), arguments.length > 2 ? [].slice.call(arguments, 2) : vnode.children);
}

var IS_NON_DIMENSIONAL = /acit|ex(?:s|g|n|p|$)|rph|ows|mnc|ntw|ine[ch]|zoo|^ord/i;
var items = [];

function enqueueRender(component) {
  if (!component._dirty && (component._dirty = true) && items.push(component) == 1) {
    (options.debounceRendering || defer)(rerender);
  }
}

function rerender() {
  var p;

  while (p = items.pop()) {
    if (p._dirty) renderComponent(p);
  }
}

function isSameNodeType(node, vnode, hydrating) {
  if (typeof vnode === 'string' || typeof vnode === 'number') {
    return node.splitText !== undefined;
  }

  if (typeof vnode.nodeName === 'string') {
    return !node._componentConstructor && isNamedNode(node, vnode.nodeName);
  }

  return hydrating || node._componentConstructor === vnode.nodeName;
}

function isNamedNode(node, nodeName) {
  return node.normalizedNodeName === nodeName || node.nodeName.toLowerCase() === nodeName.toLowerCase();
}

function getNodeProps(vnode) {
  var props = extend({}, vnode.attributes);
  props.children = vnode.children;
  var defaultProps = vnode.nodeName.defaultProps;

  if (defaultProps !== undefined) {
    for (var i in defaultProps) {
      if (props[i] === undefined) {
        props[i] = defaultProps[i];
      }
    }
  }

  return props;
}

function createNode(nodeName, isSvg) {
  var node = isSvg ? document.createElementNS('http://www.w3.org/2000/svg', nodeName) : document.createElement(nodeName);
  node.normalizedNodeName = nodeName;
  return node;
}

function removeNode(node) {
  var parentNode = node.parentNode;
  if (parentNode) parentNode.removeChild(node);
}

function setAccessor(node, name, old, value, isSvg) {
  if (name === 'className') name = 'class';

  if (name === 'key') {} else if (name === 'ref') {
    applyRef(old, null);
    applyRef(value, node);
  } else if (name === 'class' && !isSvg) {
    node.className = value || '';
  } else if (name === 'style') {
    if (!value || typeof value === 'string' || typeof old === 'string') {
      node.style.cssText = value || '';
    }

    if (value && typeof value === 'object') {
      if (typeof old !== 'string') {
        for (var i in old) {
          if (!(i in value)) node.style[i] = '';
        }
      }

      for (var i in value) {
        node.style[i] = typeof value[i] === 'number' && IS_NON_DIMENSIONAL.test(i) === false ? value[i] + 'px' : value[i];
      }
    }
  } else if (name === 'dangerouslySetInnerHTML') {
    if (value) node.innerHTML = value.__html || '';
  } else if (name[0] == 'o' && name[1] == 'n') {
    var useCapture = name !== (name = name.replace(/Capture$/, ''));
    name = name.toLowerCase().substring(2);

    if (value) {
      if (!old) node.addEventListener(name, eventProxy, useCapture);
    } else {
      node.removeEventListener(name, eventProxy, useCapture);
    }

    (node._listeners || (node._listeners = {}))[name] = value;
  } else if (name !== 'list' && name !== 'type' && !isSvg && name in node) {
    try {
      node[name] = value == null ? '' : value;
    } catch (e) {}

    if ((value == null || value === false) && name != 'spellcheck') node.removeAttribute(name);
  } else {
    var ns = isSvg && name !== (name = name.replace(/^xlink:?/, ''));

    if (value == null || value === false) {
      if (ns) node.removeAttributeNS('http://www.w3.org/1999/xlink', name.toLowerCase());else node.removeAttribute(name);
    } else if (typeof value !== 'function') {
      if (ns) node.setAttributeNS('http://www.w3.org/1999/xlink', name.toLowerCase(), value);else node.setAttribute(name, value);
    }
  }
}

function eventProxy(e) {
  return this._listeners[e.type](options.event && options.event(e) || e);
}

var mounts = [];
var diffLevel = 0;
var isSvgMode = false;
var hydrating = false;

function flushMounts() {
  var c;

  while (c = mounts.shift()) {
    if (options.afterMount) options.afterMount(c);
    if (c.componentDidMount) c.componentDidMount();
  }
}

function diff(dom, vnode, context, mountAll, parent, componentRoot) {
  if (!diffLevel++) {
    isSvgMode = parent != null && parent.ownerSVGElement !== undefined;
    hydrating = dom != null && !('__preactattr_' in dom);
  }

  var ret = idiff(dom, vnode, context, mountAll, componentRoot);
  if (parent && ret.parentNode !== parent) parent.appendChild(ret);

  if (! --diffLevel) {
    hydrating = false;
    if (!componentRoot) flushMounts();
  }

  return ret;
}

function idiff(dom, vnode, context, mountAll, componentRoot) {
  var out = dom,
      prevSvgMode = isSvgMode;
  if (vnode == null || typeof vnode === 'boolean') vnode = '';

  if (typeof vnode === 'string' || typeof vnode === 'number') {
    if (dom && dom.splitText !== undefined && dom.parentNode && (!dom._component || componentRoot)) {
      if (dom.nodeValue != vnode) {
        dom.nodeValue = vnode;
      }
    } else {
      out = document.createTextNode(vnode);

      if (dom) {
        if (dom.parentNode) dom.parentNode.replaceChild(out, dom);
        recollectNodeTree(dom, true);
      }
    }

    out['__preactattr_'] = true;
    return out;
  }

  var vnodeName = vnode.nodeName;

  if (typeof vnodeName === 'function') {
    return buildComponentFromVNode(dom, vnode, context, mountAll);
  }

  isSvgMode = vnodeName === 'svg' ? true : vnodeName === 'foreignObject' ? false : isSvgMode;
  vnodeName = String(vnodeName);

  if (!dom || !isNamedNode(dom, vnodeName)) {
    out = createNode(vnodeName, isSvgMode);

    if (dom) {
      while (dom.firstChild) {
        out.appendChild(dom.firstChild);
      }

      if (dom.parentNode) dom.parentNode.replaceChild(out, dom);
      recollectNodeTree(dom, true);
    }
  }

  var fc = out.firstChild,
      props = out['__preactattr_'],
      vchildren = vnode.children;

  if (props == null) {
    props = out['__preactattr_'] = {};

    for (var a = out.attributes, i = a.length; i--;) {
      props[a[i].name] = a[i].value;
    }
  }

  if (!hydrating && vchildren && vchildren.length === 1 && typeof vchildren[0] === 'string' && fc != null && fc.splitText !== undefined && fc.nextSibling == null) {
    if (fc.nodeValue != vchildren[0]) {
      fc.nodeValue = vchildren[0];
    }
  } else if (vchildren && vchildren.length || fc != null) {
    innerDiffNode(out, vchildren, context, mountAll, hydrating || props.dangerouslySetInnerHTML != null);
  }

  diffAttributes(out, vnode.attributes, props);
  isSvgMode = prevSvgMode;
  return out;
}

function innerDiffNode(dom, vchildren, context, mountAll, isHydrating) {
  var originalChildren = dom.childNodes,
      children = [],
      keyed = {},
      keyedLen = 0,
      min = 0,
      len = originalChildren.length,
      childrenLen = 0,
      vlen = vchildren ? vchildren.length : 0,
      j,
      c,
      f,
      vchild,
      child;

  if (len !== 0) {
    for (var i = 0; i < len; i++) {
      var _child = originalChildren[i],
          props = _child['__preactattr_'],
          key = vlen && props ? _child._component ? _child._component.__key : props.key : null;

      if (key != null) {
        keyedLen++;
        keyed[key] = _child;
      } else if (props || (_child.splitText !== undefined ? isHydrating ? _child.nodeValue.trim() : true : isHydrating)) {
        children[childrenLen++] = _child;
      }
    }
  }

  if (vlen !== 0) {
    for (var i = 0; i < vlen; i++) {
      vchild = vchildren[i];
      child = null;
      var key = vchild.key;

      if (key != null) {
        if (keyedLen && keyed[key] !== undefined) {
          child = keyed[key];
          keyed[key] = undefined;
          keyedLen--;
        }
      } else if (min < childrenLen) {
        for (j = min; j < childrenLen; j++) {
          if (children[j] !== undefined && isSameNodeType(c = children[j], vchild, isHydrating)) {
            child = c;
            children[j] = undefined;
            if (j === childrenLen - 1) childrenLen--;
            if (j === min) min++;
            break;
          }
        }
      }

      child = idiff(child, vchild, context, mountAll);
      f = originalChildren[i];

      if (child && child !== dom && child !== f) {
        if (f == null) {
          dom.appendChild(child);
        } else if (child === f.nextSibling) {
          removeNode(f);
        } else {
          dom.insertBefore(child, f);
        }
      }
    }
  }

  if (keyedLen) {
    for (var i in keyed) {
      if (keyed[i] !== undefined) recollectNodeTree(keyed[i], false);
    }
  }

  while (min <= childrenLen) {
    if ((child = children[childrenLen--]) !== undefined) recollectNodeTree(child, false);
  }
}

function recollectNodeTree(node, unmountOnly) {
  var component = node._component;

  if (component) {
    unmountComponent(component);
  } else {
    if (node['__preactattr_'] != null) applyRef(node['__preactattr_'].ref, null);

    if (unmountOnly === false || node['__preactattr_'] == null) {
      removeNode(node);
    }

    removeChildren(node);
  }
}

function removeChildren(node) {
  node = node.lastChild;

  while (node) {
    var next = node.previousSibling;
    recollectNodeTree(node, true);
    node = next;
  }
}

function diffAttributes(dom, attrs, old) {
  var name;

  for (name in old) {
    if (!(attrs && attrs[name] != null) && old[name] != null) {
      setAccessor(dom, name, old[name], old[name] = undefined, isSvgMode);
    }
  }

  for (name in attrs) {
    if (name !== 'children' && name !== 'innerHTML' && (!(name in old) || attrs[name] !== (name === 'value' || name === 'checked' ? dom[name] : old[name]))) {
      setAccessor(dom, name, old[name], old[name] = attrs[name], isSvgMode);
    }
  }
}

var recyclerComponents = [];

function createComponent(Ctor, props, context) {
  var inst,
      i = recyclerComponents.length;

  if (Ctor.prototype && Ctor.prototype.render) {
    inst = new Ctor(props, context);
    Component.call(inst, props, context);
  } else {
    inst = new Component(props, context);
    inst.constructor = Ctor;
    inst.render = doRender;
  }

  while (i--) {
    if (recyclerComponents[i].constructor === Ctor) {
      inst.nextBase = recyclerComponents[i].nextBase;
      recyclerComponents.splice(i, 1);
      return inst;
    }
  }

  return inst;
}

function doRender(props, state, context) {
  return this.constructor(props, context);
}

function setComponentProps(component, props, renderMode, context, mountAll) {
  if (component._disable) return;
  component._disable = true;
  component.__ref = props.ref;
  component.__key = props.key;
  delete props.ref;
  delete props.key;

  if (typeof component.constructor.getDerivedStateFromProps === 'undefined') {
    if (!component.base || mountAll) {
      if (component.componentWillMount) component.componentWillMount();
    } else if (component.componentWillReceiveProps) {
      component.componentWillReceiveProps(props, context);
    }
  }

  if (context && context !== component.context) {
    if (!component.prevContext) component.prevContext = component.context;
    component.context = context;
  }

  if (!component.prevProps) component.prevProps = component.props;
  component.props = props;
  component._disable = false;

  if (renderMode !== 0) {
    if (renderMode === 1 || options.syncComponentUpdates !== false || !component.base) {
      renderComponent(component, 1, mountAll);
    } else {
      enqueueRender(component);
    }
  }

  applyRef(component.__ref, component);
}

function renderComponent(component, renderMode, mountAll, isChild) {
  if (component._disable) return;
  var props = component.props,
      state = component.state,
      context = component.context,
      previousProps = component.prevProps || props,
      previousState = component.prevState || state,
      previousContext = component.prevContext || context,
      isUpdate = component.base,
      nextBase = component.nextBase,
      initialBase = isUpdate || nextBase,
      initialChildComponent = component._component,
      skip = false,
      snapshot = previousContext,
      rendered,
      inst,
      cbase;

  if (component.constructor.getDerivedStateFromProps) {
    state = extend(extend({}, state), component.constructor.getDerivedStateFromProps(props, state));
    component.state = state;
  }

  if (isUpdate) {
    component.props = previousProps;
    component.state = previousState;
    component.context = previousContext;

    if (renderMode !== 2 && component.shouldComponentUpdate && component.shouldComponentUpdate(props, state, context) === false) {
      skip = true;
    } else if (component.componentWillUpdate) {
      component.componentWillUpdate(props, state, context);
    }

    component.props = props;
    component.state = state;
    component.context = context;
  }

  component.prevProps = component.prevState = component.prevContext = component.nextBase = null;
  component._dirty = false;

  if (!skip) {
    rendered = component.render(props, state, context);

    if (component.getChildContext) {
      context = extend(extend({}, context), component.getChildContext());
    }

    if (isUpdate && component.getSnapshotBeforeUpdate) {
      snapshot = component.getSnapshotBeforeUpdate(previousProps, previousState);
    }

    var childComponent = rendered && rendered.nodeName,
        toUnmount,
        base;

    if (typeof childComponent === 'function') {
      var childProps = getNodeProps(rendered);
      inst = initialChildComponent;

      if (inst && inst.constructor === childComponent && childProps.key == inst.__key) {
        setComponentProps(inst, childProps, 1, context, false);
      } else {
        toUnmount = inst;
        component._component = inst = createComponent(childComponent, childProps, context);
        inst.nextBase = inst.nextBase || nextBase;
        inst._parentComponent = component;
        setComponentProps(inst, childProps, 0, context, false);
        renderComponent(inst, 1, mountAll, true);
      }

      base = inst.base;
    } else {
      cbase = initialBase;
      toUnmount = initialChildComponent;

      if (toUnmount) {
        cbase = component._component = null;
      }

      if (initialBase || renderMode === 1) {
        if (cbase) cbase._component = null;
        base = diff(cbase, rendered, context, mountAll || !isUpdate, initialBase && initialBase.parentNode, true);
      }
    }

    if (initialBase && base !== initialBase && inst !== initialChildComponent) {
      var baseParent = initialBase.parentNode;

      if (baseParent && base !== baseParent) {
        baseParent.replaceChild(base, initialBase);

        if (!toUnmount) {
          initialBase._component = null;
          recollectNodeTree(initialBase, false);
        }
      }
    }

    if (toUnmount) {
      unmountComponent(toUnmount);
    }

    component.base = base;

    if (base && !isChild) {
      var componentRef = component,
          t = component;

      while (t = t._parentComponent) {
        (componentRef = t).base = base;
      }

      base._component = componentRef;
      base._componentConstructor = componentRef.constructor;
    }
  }

  if (!isUpdate || mountAll) {
    mounts.push(component);
  } else if (!skip) {
    if (component.componentDidUpdate) {
      component.componentDidUpdate(previousProps, previousState, snapshot);
    }

    if (options.afterUpdate) options.afterUpdate(component);
  }

  while (component._renderCallbacks.length) {
    component._renderCallbacks.pop().call(component);
  }

  if (!diffLevel && !isChild) flushMounts();
}

function buildComponentFromVNode(dom, vnode, context, mountAll) {
  var c = dom && dom._component,
      originalComponent = c,
      oldDom = dom,
      isDirectOwner = c && dom._componentConstructor === vnode.nodeName,
      isOwner = isDirectOwner,
      props = getNodeProps(vnode);

  while (c && !isOwner && (c = c._parentComponent)) {
    isOwner = c.constructor === vnode.nodeName;
  }

  if (c && isOwner && (!mountAll || c._component)) {
    setComponentProps(c, props, 3, context, mountAll);
    dom = c.base;
  } else {
    if (originalComponent && !isDirectOwner) {
      unmountComponent(originalComponent);
      dom = oldDom = null;
    }

    c = createComponent(vnode.nodeName, props, context);

    if (dom && !c.nextBase) {
      c.nextBase = dom;
      oldDom = null;
    }

    setComponentProps(c, props, 1, context, mountAll);
    dom = c.base;

    if (oldDom && dom !== oldDom) {
      oldDom._component = null;
      recollectNodeTree(oldDom, false);
    }
  }

  return dom;
}

function unmountComponent(component) {
  if (options.beforeUnmount) options.beforeUnmount(component);
  var base = component.base;
  component._disable = true;
  if (component.componentWillUnmount) component.componentWillUnmount();
  component.base = null;
  var inner = component._component;

  if (inner) {
    unmountComponent(inner);
  } else if (base) {
    if (base['__preactattr_'] != null) applyRef(base['__preactattr_'].ref, null);
    component.nextBase = base;
    removeNode(base);
    recyclerComponents.push(component);
    removeChildren(base);
  }

  applyRef(component.__ref, null);
}

function Component(props, context) {
  this._dirty = true;
  this.context = context;
  this.props = props;
  this.state = this.state || {};
  this._renderCallbacks = [];
}

extend(Component.prototype, {
  setState: function setState(state, callback) {
    if (!this.prevState) this.prevState = this.state;
    this.state = extend(extend({}, this.state), typeof state === 'function' ? state(this.state, this.props) : state);
    if (callback) this._renderCallbacks.push(callback);
    enqueueRender(this);
  },
  forceUpdate: function forceUpdate(callback) {
    if (callback) this._renderCallbacks.push(callback);
    renderComponent(this, 2);
  },
  render: function render() {}
});

function render(vnode, parent, merge) {
  return diff(merge, vnode, {}, false, parent, false);
}

function createRef() {
  return {};
}

var preact = {
  h: h,
  createElement: h,
  cloneElement: cloneElement,
  createRef: createRef,
  Component: Component,
  render: render,
  rerender: rerender,
  options: options
};
var _default = preact;
exports.default = _default;
},{}],"../../node_modules/classnames/index.js":[function(require,module,exports) {
var define;
/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg) && arg.length) {
				var inner = classNames.apply(null, arg);
				if (inner) {
					classes.push(inner);
				}
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (typeof define === 'function' && typeof define.amd === 'object' && define.amd) {
		// register as 'classnames', consistent with npm package name
		define('classnames', [], function () {
			return classNames;
		});
	} else {
		window.classNames = classNames;
	}
}());

},{}],"../utils/omit.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = function _default(obj) {
  var keysToDelete = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var copy = Object.assign({}, obj);
  keysToDelete.forEach(function (key) {
    delete copy[key];
  });
  return copy;
};

exports.default = _default;
},{}],"../utils/get-styled-component.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var alwaysPassThroughProps = ['disabled'];

var _default = function _default(args) {
  var _args$tagName = args.tagName,
      tagName = _args$tagName === void 0 ? 'div' : _args$tagName,
      _args$baseClasses = args.baseClasses,
      baseClasses = _args$baseClasses === void 0 ? '' : _args$baseClasses,
      _args$options = args.options,
      options = _args$options === void 0 ? {} : _args$options,
      style = args.style,
      fn = args.fn,
      _args$passThroughProp = args.passThroughProps,
      passThroughProps = _args$passThroughProp === void 0 ? [] : _args$passThroughProp,
      defaultProps = args.defaultProps,
      renderChildren = args.renderChildren;
  var defaults = Object.assign({}, defaultProps);
  var propsToRemove = ['className', 'tagName'];
  var allOptionValues = Object.keys(options).reduce(function (result, key) {
    var value = options[key];

    if (_typeof(value) !== 'object') {
      defaults[key] = value;
      propsToRemove.push(key);
      result.push(value);
    } else {
      result.push.apply(result, _toConsumableArray(value));
    }

    return result;
  }, []);
  propsToRemove.push.apply(propsToRemove, _toConsumableArray(allOptionValues.filter(function (key) {
    return !passThroughProps.includes(key) && !alwaysPassThroughProps.includes(key);
  })));

  var componentFn = function componentFn(incomingProps) {
    var props = Object.assign({}, defaults, incomingProps);
    var finalTagName = props.tagName || tagName;
    var passThroughProps = (0, _omit.default)(props, propsToRemove);
    var className = (0, _classnames.default)(baseClasses, fn && fn(props), props.className);
    var combinedStyle = Object.assign({}, style, props.style);
    var renderedChildren = renderChildren ? renderChildren(props) : props.children;
    return _preact.h.apply(void 0, [finalTagName, Object.assign({
      className: className,
      style: combinedStyle
    }, passThroughProps)].concat(_toConsumableArray(renderedChildren)));
  };

  componentFn.definition = args;
  return componentFn;
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","classnames":"../../node_modules/classnames/index.js","./omit":"../utils/omit.js"}],"../pill-icon.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var _default = function _default(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 24 24"
  }, props), (0, _preact.h)("path", {
    d: "M20 12c0-2.2-2-4-4.5-4h-9C4 8 2 9.8 2 12s2 4 4.5 4h9c2.5 0 4.5-1.8 4.5-4zm-9.5 2.1V9.9h5.7c1.3.4 2 1 2 2.1 0 1-.7 1.7-2 2.1h-5.7z",
    "fill-rule": "nonzero"
  }));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs"}],"../icon.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _pillIcon = _interopRequireDefault(require("./pill-icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var customIcons = {
  pill: _pillIcon.default
};

var Icon = function Icon(props) {
  var icon = props.icon,
      size = props.size,
      className = props.className,
      style = props.style;
  var rest = (0, _omit.default)(props, ['icon', 'size', 'className']);
  var px = "".concat(size || 24, "px");
  var styles = Object.assign({}, style, {
    fontSize: px,
    width: px,
    height: px
  });
  var Custom = customIcons[icon];
  return (0, _preact.h)("i", _extends({}, rest, {
    style: styles,
    className: (0, _classnames.default)('dib', {
      'material-icons': !Custom
    }, className)
  }), Custom ? (0, _preact.h)(Custom, null) : icon);
};

exports.Icon = Icon;
},{"preact":"../../node_modules/preact/dist/preact.mjs","classnames":"../../node_modules/classnames/index.js","./utils/omit":"../utils/omit.js","./pill-icon":"../pill-icon.js"}],"../button.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TapIconButton = exports.Button = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var preventDefault = function preventDefault(e) {
  e.preventDefault();
};

var Button = (0, _getStyledComponent.default)({
  tagName: 'button',
  baseClasses: 'br2 ba',
  options: {
    size: ['tiny', 'large'],
    pressed: ['pressed'],
    variant: ['primary', 'stop', 'disabled']
  },
  defaultProps: {
    onContextMenu: preventDefault
  },
  fn: function fn(_ref) {
    var tiny = _ref.tiny,
        large = _ref.large,
        disabled = _ref.disabled,
        pressed = _ref.pressed,
        primary = _ref.primary,
        stop = _ref.stop;
    var classes = ['bn']; // handle sizes

    if (tiny) {
      classes.push('pa1');
    } else if (large) {
      classes.push('pa3 fw6');
    } else {
      classes.push('pa2');
    } // if disabled stop here


    if (disabled) {
      classes.push('mid-gray bg-light-gray not-allowed');
      return classes.join(' ');
    } // pointer class


    classes.push('pointer');

    if (pressed) {
      classes.push('shadow-3');
    } else {
      classes.push('shadow-2');
    }

    if (stop) {
      classes.push('white bg-red');
    }

    if (primary) {
      classes.push('dark-blue bg-light-blue');
    }

    if (!stop && !primary) {
      classes.push('dark-blue');

      if (pressed) {
        classes.push('bg-lightest-blue');
      } else {
        classes.push('bg-white');
      }
    }

    return classes.join(' ');
  }
});
exports.Button = Button;
var TapIconButton = (0, _getStyledComponent.default)({
  baseClasses: 'button-reset pointer pa0 ma0 bn bg-transparent flex items-center justify-center',
  style: {
    width: '40px',
    height: '40px'
  },
  options: {
    icon: ['icon'],
    color: ['color']
  },
  renderChildren: function renderChildren(_ref2) {
    var icon = _ref2.icon,
        color = _ref2.color;
    return [(0, _preact.h)(_icon.Icon, {
      icon: icon,
      color: color,
      size: "28"
    })];
  }
});
exports.TapIconButton = TapIconButton;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./utils/get-styled-component":"../utils/get-styled-component.js","./icon":"../icon.js"}],"../logo.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LogoLight = exports.LogoLightMark = exports.LogoTextOnly = exports.LogoDark = void 0;

var _preact = require("preact");

var _omit = _interopRequireDefault(require("./utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LogoDark = function LogoDark(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 521 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, (0, _preact.h)("path", {
    d: "M143.234 40.272l-2.684 12.564h7.236l-2.685-12.564h-1.867zm-10.113 22.017l5.951-26.451h10.192l5.951 26.451h-5.368l-1.05-4.785h-9.258l-1.05 4.785h-5.368zm30.574 0h-5.213v-19.45h5.174v1.089c1.763-1.036 3.384-1.555 4.863-1.555 2.592 0 4.382.765 5.368 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.194-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.839 8.839 0 0 0-3.073.545l-.467.155v14.549m27.462-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.586-.915-1.232 0-2.101.319-2.607.953-.505.636-.772 1.706-.797 3.209h6.729zm-5.738 6.555c.61.532 1.485.798 2.626.798 2.412 0 4.564-.079 6.458-.233l1.089-.118.078 3.851c-2.982.727-5.679 1.089-8.091 1.089-2.931 0-5.057-.777-6.38-2.333-1.322-1.556-1.984-4.085-1.984-7.586 0-6.975 2.866-10.463 8.597-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.436c.025 1.193.343 2.056.952 2.587zm28.767-9.666c-3.216-.414-5.466-.623-6.749-.623-1.284 0-2.114.117-2.49.35-.376.234-.564.604-.564 1.109s.253.856.759 1.05c.506.195 1.801.48 3.89.856 2.087.376 3.572.992 4.453 1.848.882.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.711 0-3.786-.233-6.223-.7l-1.245-.233.155-4.357c3.216.416 5.452.622 6.71.622s2.114-.122 2.568-.368c.453-.247.681-.617.681-1.109s-.24-.856-.72-1.089c-.48-.233-1.725-.519-3.734-.856-2.011-.337-3.508-.908-4.493-1.712-.986-.803-1.478-2.237-1.478-4.298 0-2.062.7-3.618 2.1-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.53 0 3.617.248 6.262.74l1.284.233-.077 4.318m15.364-.429h-4.784v7.975c0 .778.019 1.33.058 1.653.039.325.181.603.428.837.246.233.629.349 1.147.349l2.957-.077.234 4.162c-1.738.389-3.061.583-3.968.583-2.334 0-3.929-.525-4.785-1.575-.855-1.05-1.284-2.989-1.284-5.815v-8.092h-2.294v-4.434h2.294v-5.406h5.213v5.406h4.784v4.434m8.791 15.016h-5.212V35.06h5.212v8.712c1.789-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.367 2.295.987 1.53 1.48 3.89 1.48 7.08v10.541h-5.213V51.864c0-1.634-.195-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m27.463-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.587-.915-1.231 0-2.1.319-2.607.953-.505.636-.771 1.706-.797 3.209h6.73zm-5.737 6.555c.608.532 1.483.798 2.625.798 2.413 0 4.564-.079 6.457-.233l1.089-.118.078 3.851c-2.982.727-5.678 1.089-8.091 1.089-2.931 0-5.056-.777-6.379-2.333-1.323-1.556-1.985-4.085-1.985-7.586 0-6.975 2.866-10.463 8.598-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.437c.026 1.193.344 2.056.954 2.587zm28.765-9.666c-3.216-.414-5.465-.623-6.749-.623-1.283 0-2.114.117-2.489.35-.377.234-.565.604-.565 1.109s.253.856.759 1.05c.506.195 1.802.48 3.89.856 2.087.376 3.572.992 4.454 1.848.881.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.712 0-3.786-.233-6.224-.7l-1.245-.233.156-4.357c3.215.416 5.452.622 6.71.622 1.257 0 2.113-.122 2.567-.368.454-.247.681-.617.681-1.109s-.24-.856-.719-1.089c-.481-.233-1.726-.519-3.735-.856-2.01-.337-3.508-.908-4.492-1.712-.986-.803-1.479-2.237-1.479-4.298 0-2.062.7-3.618 2.101-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.529 0 3.617.248 6.263.74l1.283.233-.078 4.318m4.589 14.587h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm16.377 13.692c-1.453.13-2.179.908-2.179 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.539.311zm8.752-5.134v8.091c.052.622.156 1.057.311 1.303.156.247.48.421.973.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.392-1.089-1.867.908-3.774 1.361-5.718 1.361-4.021 0-6.03-2.125-6.03-6.379 0-2.074.558-3.545 1.673-4.415 1.115-.869 2.826-1.381 5.135-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.543-1.654-.364-.297-.948-.447-1.751-.447l-7.313.312-.156-3.619c2.775-.751 5.413-1.127 7.916-1.127 2.502 0 4.304.519 5.408 1.555 1.101 1.038 1.652 2.698 1.652 4.98zm22.406 12.953c-2.749.596-5.226.894-7.429.894-2.205 0-3.968-.272-5.291-.816-1.322-.545-2.36-1.413-3.112-2.606-.753-1.193-1.271-2.594-1.556-4.202-.285-1.607-.428-3.63-.428-6.068 0-5.108.719-8.667 2.159-10.678 1.44-2.009 4.091-3.015 7.955-3.015 2.229 0 4.81.351 7.741 1.051l-.156 4.279c-2.567-.389-4.7-.584-6.399-.584-1.698 0-2.911.228-3.637.681-.726.454-1.264 1.316-1.614 2.587-.35 1.271-.524 3.436-.524 6.496 0 3.061.355 5.18 1.068 6.36.713 1.18 2.14 1.77 4.279 1.77 2.14 0 4.416-.181 6.827-.545l.117 4.396m9.296.428h-5.212V35.06h5.212v8.712c1.79-.933 3.397-1.399 4.824-1.399 2.593 0 4.383.765 5.368 2.295.986 1.53 1.479 3.89 1.479 7.08v10.541h-5.213V51.864c0-1.634-.194-2.846-.583-3.637-.389-.79-1.167-1.187-2.335-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m22.639-8.247c-1.452.13-2.178.908-2.178 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.54.311zm8.753-5.134v8.091c.052.622.156 1.057.312 1.303.154.247.479.421.972.525l-.155 3.928c-1.323 0-2.38-.09-3.171-.272-.791-.181-1.589-.544-2.392-1.089-1.868.908-3.774 1.361-5.719 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.672-4.415 1.115-.869 2.827-1.381 5.136-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.751-.447l-7.312.312-.156-3.619c2.775-.751 5.413-1.127 7.917-1.127 2.501 0 4.304.519 5.406 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm5.173 13.381v-19.45h5.173v2.062c2.179-1.297 4.254-2.139 6.224-2.528v5.251c-2.1.441-3.902.895-5.406 1.361l-.779.272v13.032h-5.212m25.44-15.016h-4.785v7.975c0 .778.02 1.33.059 1.653.039.325.181.603.428.837.246.233.628.349 1.148.349l2.957-.077.232 4.162c-1.737.389-3.06.583-3.968.583-2.333 0-3.929-.525-4.784-1.575-.856-1.05-1.284-2.989-1.284-5.815v-8.092h-2.295v-4.434h2.295v-5.406h5.212v5.406h4.785v4.434m3.579 15.016h5.212v-19.45h-5.212v19.45zm0-21.939h5.212v-5.29h-5.212v5.29zm15.443 21.939h-5.213v-19.45h5.174v1.089c1.763-1.036 3.383-1.555 4.863-1.555 2.592 0 4.381.765 5.367 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.193-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.833 8.833 0 0 0-3.072.545l-.467.155v14.549m20.966-12.934c0 1.906.992 2.859 2.975 2.859 1.985 0 2.976-.953 2.976-2.859 0-1.906-.991-2.859-2.976-2.859-1.983 0-2.975.953-2.975 2.859zm-.312 15.929c0 1.115 1.368 1.673 4.104 1.673 2.736 0 4.105-.648 4.105-1.945 0-.7-.234-1.148-.701-1.343-.467-.193-1.452-.304-2.956-.33l-3.501-.272c-.7.7-1.051 1.439-1.051 2.217zm13.46-.564c0 2.217-.856 3.858-2.567 4.921-1.712 1.063-4.026 1.595-6.944 1.595s-5.161-.389-6.73-1.168c-1.569-.777-2.353-2.191-2.353-4.239 0-1.634.934-3.178 2.801-4.629-.96-.648-1.439-1.634-1.439-2.956 0-.519.389-1.375 1.167-2.568l.349-.545c-1.763-1.27-2.645-3.144-2.645-5.621 0-2.476.746-4.271 2.238-5.387 1.49-1.115 3.467-1.673 5.932-1.673 1.114 0 2.217.13 3.305.389l.623.117 6.263-.194v4.162l-2.918-.234c.57.882.856 1.764.856 2.646 0 2.593-.661 4.382-1.983 5.368-1.323.986-3.398 1.478-6.224 1.478a7.363 7.363 0 0 1-1.595-.156c-.26.675-.389 1.225-.389 1.653 0 .428.219.72.661.875.441.156 1.478.248 3.113.273 3.266.026 5.496.461 6.69 1.303 1.192.843 1.789 2.373 1.789 4.59z",
    fill: "#FFF"
  }), (0, _preact.h)("path", {
    d: "M520.01 50.187a3.51 3.51 0 0 1-3.5 3.5h-39.956a3.51 3.51 0 0 1-3.5-3.5V38.571a3.51 3.51 0 0 1 3.5-3.5h39.956a3.51 3.51 0 0 1 3.5 3.5v11.616",
    fill: "#6CC4CA"
  }), (0, _preact.h)("path", {
    fill: "#173140",
    d: "M477.476 49.241h2.801v-3.228h-2.801zm8.734-9.958c.673 0 1.536.104 2.586.312l.525.116-.078 2.061c-1.024-.103-1.782-.155-2.275-.155-.894 0-1.488.192-1.779.574-.292.382-.437 1.105-.437 2.168 0 1.064.145 1.793.437 2.189.291.395.891.593 1.798.593l2.256-.156.078 2.081c-1.387.273-2.444.409-3.17.409-1.439 0-2.473-.405-3.102-1.216-.63-.81-.943-2.11-.943-3.9 0-1.789.323-3.082.972-3.88.649-.797 1.692-1.196 3.132-1.196m7.497 7.274c.266.467.743.7 1.43.7.686 0 1.164-.233 1.429-.7.266-.467.399-1.199.399-2.198 0-.998-.133-1.724-.399-2.178-.265-.453-.743-.681-1.429-.681-.687 0-1.164.228-1.43.681-.265.454-.398 1.18-.398 2.178 0 .999.133 1.731.398 2.198zm-2.013-5.941c.687-.889 1.835-1.333 3.443-1.333s2.755.444 3.443 1.333c.687.888 1.03 2.135 1.03 3.743 0 3.411-1.491 5.116-4.473 5.116-2.982 0-4.473-1.705-4.473-5.116 0-1.608.343-2.855 1.03-3.743zm12.428 8.625h-2.606v-9.724h2.587v.545c.895-.519 1.659-.779 2.295-.779 1.05 0 1.861.305 2.431.914 1.193-.609 2.282-.914 3.268-.914 1.283 0 2.175.373 2.674 1.119.499.745.749 1.935.749 3.568v5.271h-2.607v-5.193c0-.829-.09-1.442-.271-1.838-.182-.395-.545-.593-1.09-.593-.415 0-.921.091-1.516.273l-.293.096c.052.973.078 1.712.078 2.218v5.037h-2.606v-4.998c0-.96-.085-1.637-.253-2.033-.168-.395-.538-.593-1.108-.593a4.29 4.29 0 0 0-1.498.273l-.234.077v7.274"
  }), (0, _preact.h)("path", {
    d: "M36.159 103.665c-.72 0-1.448-.14-2.143-.433C14.026 94.818-.01 75.049-.01 52S14.026 9.182 34.016.768a5.508 5.508 0 0 1 2.143-.433c1.74 0 3.433.821 4.504 2.298l9.633 13.287C32.674 18.476 19.093 33.681 19.093 52s13.581 33.524 31.203 36.081l-9.633 13.286a5.565 5.565 0 0 1-4.504 2.298m38.791 0a5.563 5.563 0 0 1-4.504-2.298l-9.633-13.286C78.435 85.524 92.016 70.319 92.016 52c0-18.319-13.581-33.524-31.203-36.08l9.633-13.287A5.563 5.563 0 0 1 74.95.335c.719 0 1.448.14 2.143.433C97.083 9.182 111.119 28.951 111.119 52s-14.036 42.818-34.026 51.232a5.511 5.511 0 0 1-2.143.433",
    fill: "#4486A0"
  }), (0, _preact.h)("path", {
    d: "M58.348 19.319L70.446 2.633a5.56 5.56 0 0 1 6.659-1.86 55.435 55.435 0 0 1 11.57 6.61L65.124 40.479c-5.264 7.396-13.876 7.396-19.139 0L22.434 7.383A55.453 55.453 0 0 1 34.003.773a5.562 5.562 0 0 1 6.66 1.86L52.76 19.319c1.378 1.9 4.21 1.9 5.588 0m0 65.362l12.098 16.686a5.56 5.56 0 0 0 6.659 1.86 55.435 55.435 0 0 0 11.57-6.61L65.124 63.521c-5.264-7.396-13.876-7.396-19.139 0L22.434 96.617a55.453 55.453 0 0 0 11.569 6.61 5.562 5.562 0 0 0 6.66-1.86L52.76 84.681c1.378-1.9 4.21-1.9 5.588 0",
    fill: "#6CC4CA"
  })));
};

exports.LogoDark = LogoDark;

var LogoTextOnly = function LogoTextOnly(props) {
  var fill = props.fill;

  if (!fill) {
    fill = '#fff';
  }

  return (0, _preact.h)("svg", _extends({
    width: "333",
    height: "37",
    viewBox: "0 0 333 37",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, (0, _omit.default)(props, ['fill'])), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M10.2 5.3L7.6 17.8h7.2L12 5.3h-1.9.1zm-10 22L6.1.8h10.2l6 26.5h-5.5l-1-4.8H6.5l-1 4.8H0h.2zm30.5 0h-5.2V7.8h5.2V9c1.7-1 3.3-1.5 4.8-1.5 2.6 0 4.4.7 5.4 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.2-1.2-2.4-1.2-1 0-2 .2-3 .6l-.5.1v14.6zm27.5-11.5c0-1.5-.3-2.6-.8-3.2-.5-.6-1.3-1-2.6-1-1.2 0-2 .4-2.6 1-.5.6-.7 1.7-.8 3.2h6.8zm-5.8 6.6a4 4 0 0 0 2.6.8c2.5 0 4.6-.1 6.5-.3h1l.2 3.8c-3 .7-5.7 1-8.1 1-3 0-5-.7-6.4-2.3-1.3-1.5-2-4-2-7.6 0-7 2.9-10.4 8.6-10.4 5.7 0 8.5 2.9 8.5 8.8l-.4 3.6H51.5c0 1.2.3 2 1 2.6h-.1zm28.8-9.7c-3.2-.4-5.5-.6-6.8-.6-1.2 0-2 .1-2.5.3-.3.3-.5.6-.5 1.1 0 .5.2.9.7 1 .5.3 1.8.6 4 1 2 .3 3.5 1 4.4 1.8.9.8 1.3 2.2 1.3 4.2 0 4.2-2.6 6.3-7.8 6.3-2 0-4.2-.3-6.2-.7l-1.3-.3.2-4.3c3.2.4 5.4.6 6.7.6 1.3 0 2.1-.1 2.6-.4.4-.2.6-.6.6-1s-.2-1-.7-1.2a20 20 0 0 0-3.7-.8c-2-.4-3.5-1-4.5-1.7-1-.9-1.5-2.3-1.5-4.3 0-2.1.7-3.7 2.1-4.7 1.4-1 3.2-1.6 5.4-1.6 1.5 0 3.6.3 6.3.8l1.3.2-.1 4.3zm15.4-.4h-4.8v9.6c0 .3.2.6.5.8.2.3.6.4 1.1.4h3l.2 4c-1.7.5-3 .7-4 .7-2.3 0-4-.6-4.8-1.6-.8-1-1.2-3-1.2-5.8v-8.1h-2.3V7.8h2.3V2.4h5.2v5.4h4.8v4.5zm8.7 15h-5.2V0h5.2v8.7a10 10 0 0 1 4.9-1.4c2.6 0 4.3.7 5.3 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.2-1.2-2.3-1.2-1 0-2 .2-3 .5l-.6.2v14.6zm27.5-11.5c0-1.5-.2-2.6-.7-3.2-.5-.6-1.4-1-2.6-1-1.3 0-2.1.4-2.6 1s-.8 1.7-.8 3.2h6.7zm-5.7 6.6c.6.5 1.4.8 2.6.8 2.4 0 4.6-.1 6.4-.3h1.1l.1 3.8c-3 .7-5.7 1-8 1-3 0-5.1-.7-6.5-2.3-1.3-1.5-2-4-2-7.6 0-7 3-10.4 8.7-10.4 5.6 0 8.4 2.9 8.4 8.8l-.4 3.6h-11.4c0 1.2.4 2 1 2.6zm28.7-9.7c-3.2-.4-5.4-.6-6.7-.6-1.3 0-2.1.1-2.5.3-.4.3-.6.6-.6 1.1 0 .5.3.9.8 1 .5.3 1.8.6 3.9 1 2 .3 3.6 1 4.4 1.8 1 .8 1.4 2.2 1.4 4.2 0 4.2-2.7 6.3-7.9 6.3-2 0-4.2-.3-6.2-.7l-1.2-.3.1-4.3c3.2.4 5.5.6 6.7.6a6 6 0 0 0 2.6-.4c.5-.2.7-.6.7-1s-.3-1-.7-1.2c-.5-.2-1.8-.5-3.8-.8-2-.4-3.5-1-4.5-1.7-1-.9-1.4-2.3-1.4-4.3 0-2.1.7-3.7 2-4.7 1.5-1 3.3-1.6 5.5-1.6 1.5 0 3.6.3 6.2.8l1.3.2v4.3h-.1zm4.6 14.6h5.2V7.8h-5.2v19.5zm0-22h5.2V.1h-5.2v5.2zM176.8 19c-1.5.2-2.2 1-2.2 2.4s.7 2.1 2 2.1c1 0 2-.1 3.2-.5l.5-.1v-4.2l-3.5.3zm8.7-5v8c.1.6.2 1 .4 1.3.1.2.4.4 1 .5l-.2 4c-1.3 0-2.4-.1-3.2-.3-.8-.2-1.6-.6-2.4-1.1a13 13 0 0 1-5.7 1.4c-4 0-6-2.2-6-6.4 0-2.1.5-3.6 1.6-4.4 1.5-1 3.3-1.6 5.2-1.6l4.1-.3V14c0-.8-.1-1.3-.5-1.6a3 3 0 0 0-1.8-.5l-7.3.3-.1-3.6c2.7-.8 5.4-1.1 7.9-1.1s4.3.5 5.4 1.5c1.1 1 1.6 2.7 1.6 5zM208 26.8c-2.8.6-5.3.9-7.5.9s-4-.3-5.3-.9a6.5 6.5 0 0 1-3-2.6c-.8-1.2-1.3-2.6-1.6-4.2-.3-1.6-.5-3.6-.5-6 0-5.1.8-8.7 2.2-10.7 1.4-2 4-3 8-3 2.2 0 4.8.3 7.7 1l-.2 4.3c-2.5-.4-4.7-.6-6.4-.6-1.7 0-2.9.2-3.6.7-.7.5-1.3 1.3-1.6 2.6-.4 1.3-.5 3.4-.5 6.5 0 3 .3 5.2 1 6.3.7 1.2 2.2 1.8 4.3 1.8 2.2 0 4.4-.2 6.8-.5l.2 4.4zm9.3.4H212V0h5.3v8.7c1.7-1 3.3-1.4 4.8-1.4 2.6 0 4.4.7 5.3 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.1-1.2-2.3-1.2-1 0-2 .2-3 .5l-.5.2v14.6-.1zm22.6-8.2c-1.5.2-2.2 1-2.2 2.4s.6 2.1 2 2.1c.9 0 2-.1 3.1-.5l.6-.1v-4.2l-3.5.3zm8.7-5v8c.1.6.2 1 .4 1.3.1.2.4.4 1 .5l-.2 4c-1.4 0-2.4-.1-3.2-.3-.8-.2-1.6-.6-2.4-1.1a13 13 0 0 1-5.7 1.4c-4 0-6-2.2-6-6.4 0-2.1.5-3.6 1.6-4.4 1.5-1 3.3-1.6 5.2-1.6l4.1-.3V14c0-.8-.1-1.3-.5-1.6a3 3 0 0 0-1.8-.5l-7.3.3-.1-3.6c2.7-.8 5.4-1.1 7.9-1.1s4.3.5 5.4 1.5c1 1 1.6 2.7 1.6 5zm5.2 13.3V7.8h5.2V10c2.2-1.3 4.2-2.1 6.2-2.5v5.2l-5.4 1.4-.8.3v13h-5.2v-.1zm25.5-14.9h-4.8V22c0 .3.2.6.5.8.2.3.6.4 1.1.4h3l.2 4c-1.7.5-3 .7-4 .7-2.3 0-3.9-.6-4.8-1.6-.8-1-1.2-3-1.2-5.8v-8.1H267V7.9h2.3V2.5h5.2v5.4h4.8v4.5zm3.5 15h5.2V7.8h-5.2v19.6zm0-22h5.2V.2h-5.2v5.2zm15.5 22H293V7.8h5.1V9c1.8-1 3.4-1.5 4.9-1.5 2.6 0 4.4.7 5.4 2.3 1 1.5 1.4 3.9 1.4 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.5-3.7-.4-.8-1.2-1.2-2.4-1.2-1 0-2 .2-3 .6l-.5.1v14.6l.1.1zm20.9-13.1c0 2 1 3 3 3 1.9 0 2.9-1 2.9-3 0-1.9-1-2.8-3-2.8s-3 1-3 2.9l.1-.1zm-.4 16c0 1.1 1.4 1.7 4.1 1.7 2.8 0 4.1-.7 4.1-2 0-.7-.2-1.1-.7-1.3-.4-.2-1.4-.3-3-.4l-3.4-.2a3 3 0 0 0-1 2.2h-.1zm13.5-.6c0 2.2-.9 3.9-2.6 5-1.7 1-4 1.5-7 1.5s-5-.4-6.6-1.1c-1.6-.8-2.4-2.2-2.4-4.3 0-1.6 1-3.1 2.8-4.6-1-.6-1.4-1.6-1.4-3 0-.5.3-1.3 1.1-2.5l.4-.6a6.5 6.5 0 0 1-2.7-5.6c0-2.5.8-4.3 2.3-5.4a9.7 9.7 0 0 1 5.9-1.6c1.1 0 2.2 0 3.3.3l.6.2 6.3-.2v4.1l-3-.2a5 5 0 0 1 1 2.6c0 2.6-.7 4.4-2 5.4a10.8 10.8 0 0 1-7.9 1.3l-.4 1.7c0 .4.3.7.7.9.4.1 1.5.2 3.1.2 3.3 0 5.5.5 6.7 1.3 1.2.9 1.8 2.4 1.8 4.6z",
    fill: "#fff"
  }));
};

exports.LogoTextOnly = LogoTextOnly;

var LogoLightMark = function LogoLightMark(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 112 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M19.103 51.6638C19.103 33.3448 32.684 18.1398 50.305 15.5828L40.673 2.29676C39.9378 1.28176 38.881 0.545149 37.6743 0.206577C36.4676 -0.131995 35.1819 -0.0526371 34.026 0.431761C14.035 8.84576 0 28.6148 0 51.6638C0 74.7128 14.035 94.4818 34.026 102.896C36.403 103.896 39.158 103.119 40.673 101.031L50.305 87.7448C32.684 85.1878 19.103 69.9828 19.103 51.6638ZM70.456 2.29676L60.823 15.5828C78.445 18.1398 92.026 33.3448 92.026 51.6638C92.026 69.9828 78.445 85.1878 60.823 87.7448L70.456 101.031C71.1912 102.046 72.248 102.782 73.4547 103.121C74.6614 103.46 75.9471 103.38 77.103 102.896C97.093 94.4818 111.129 74.7128 111.129 51.6638C111.129 28.6148 97.093 8.84576 77.103 0.431761C75.9471 -0.0526371 74.6614 -0.131995 73.4547 0.206577C72.248 0.545149 71.1912 1.28176 70.456 2.29676",
    fill: "#173140"
  }), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M58.358 18.9828L70.456 2.29676C71.193 1.28052 72.2522 0.543581 73.4612 0.205864C74.6703 -0.131853 75.9581 -0.0504734 77.115 0.436761C81.2234 2.16687 85.1081 4.38624 88.685 7.04676L65.134 40.1428C59.87 47.5388 51.258 47.5388 45.995 40.1428L22.444 7.04676C26.0206 4.38645 29.905 2.1671 34.013 0.436761C35.1701 -0.0503619 36.458 -0.131685 37.6672 0.206017C38.8764 0.543718 39.9357 1.28058 40.673 2.29676L52.77 18.9828C54.148 20.8828 56.98 20.8828 58.358 18.9828ZM58.358 84.3448L70.456 101.031C71.193 102.047 72.2522 102.784 73.4612 103.122C74.6703 103.459 75.9581 103.378 77.115 102.891C81.2234 101.161 85.1081 98.9413 88.685 96.2808L65.134 63.1848C59.87 55.7888 51.258 55.7888 45.995 63.1848L22.444 96.2808C26.0206 98.9411 29.905 101.16 34.013 102.891C35.1701 103.378 36.458 103.459 37.6672 103.121C38.8764 102.784 39.9357 102.047 40.673 101.031L52.77 84.3448C54.148 82.4448 56.98 82.4448 58.358 84.3448Z",
    fill: "#6CC4CA"
  }));
};

exports.LogoLightMark = LogoLightMark;

var LogoLight = function LogoLight(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 521 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, (0, _preact.h)("path", {
    d: "M143.234 40.272l-2.684 12.564h7.236l-2.685-12.564h-1.867zm-10.113 22.017l5.951-26.451h10.192l5.951 26.451h-5.368l-1.05-4.785h-9.258l-1.05 4.785h-5.368zm30.574 0h-5.213v-19.45h5.174v1.089c1.763-1.036 3.384-1.555 4.863-1.555 2.592 0 4.382.765 5.368 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.194-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.839 8.839 0 0 0-3.073.545l-.467.155v14.549m27.462-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.586-.915-1.232 0-2.101.319-2.607.953-.505.636-.772 1.706-.797 3.209h6.729zm-5.738 6.555c.61.532 1.485.798 2.626.798 2.412 0 4.564-.079 6.457-.233l1.09-.118.078 3.851c-2.982.727-5.679 1.089-8.091 1.089-2.931 0-5.057-.777-6.38-2.333-1.323-1.556-1.984-4.085-1.984-7.586 0-6.975 2.866-10.463 8.597-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.436c.025 1.193.343 2.056.952 2.587zm28.767-9.666c-3.216-.414-5.466-.623-6.749-.623-1.284 0-2.114.117-2.49.35-.376.234-.564.604-.564 1.109s.253.856.759 1.05c.505.195 1.801.48 3.89.856 2.087.376 3.572.992 4.453 1.848.882.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.711 0-3.786-.233-6.223-.7l-1.245-.233.155-4.357c3.216.416 5.452.622 6.71.622s2.114-.122 2.568-.368c.453-.247.681-.617.681-1.109s-.24-.856-.72-1.089c-.48-.233-1.725-.519-3.734-.856-2.011-.337-3.508-.908-4.493-1.712-.986-.803-1.479-2.237-1.479-4.298 0-2.062.701-3.618 2.101-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.53 0 3.617.248 6.262.74l1.284.233-.077 4.318m15.364-.429h-4.784v7.975c0 .778.019 1.33.058 1.653.039.325.181.603.427.837.247.233.63.349 1.148.349l2.956-.077.235 4.162c-1.738.389-3.061.583-3.968.583-2.334 0-3.929-.525-4.785-1.575-.856-1.05-1.284-2.989-1.284-5.815v-8.092h-2.294v-4.434h2.294v-5.406h5.213v5.406h4.784v4.434m8.791 15.016h-5.212V35.06h5.212v8.712c1.789-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.367 2.295.987 1.53 1.48 3.89 1.48 7.08v10.541h-5.213V51.864c0-1.634-.195-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m27.463-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.356-.915-2.587-.915s-2.101.319-2.607.953c-.505.636-.771 1.706-.797 3.209h6.73zm-5.737 6.555c.608.532 1.483.798 2.625.798 2.412 0 4.564-.079 6.457-.233l1.089-.118.078 3.851c-2.982.727-5.678 1.089-8.091 1.089-2.931 0-5.056-.777-6.379-2.333-1.323-1.556-1.985-4.085-1.985-7.586 0-6.975 2.866-10.463 8.598-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.437c.026 1.193.344 2.056.954 2.587zm28.765-9.666c-3.216-.414-5.465-.623-6.749-.623-1.283 0-2.114.117-2.489.35-.377.234-.565.604-.565 1.109s.253.856.759 1.05c.506.195 1.802.48 3.89.856 2.087.376 3.572.992 4.454 1.848.881.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.712 0-3.786-.233-6.224-.7l-1.245-.233.156-4.357c3.215.416 5.452.622 6.71.622 1.257 0 2.113-.122 2.567-.368.454-.247.681-.617.681-1.109s-.24-.856-.719-1.089c-.481-.233-1.726-.519-3.735-.856-2.01-.337-3.508-.908-4.493-1.712-.985-.803-1.478-2.237-1.478-4.298 0-2.062.7-3.618 2.101-4.669 1.399-1.049 3.202-1.575 5.407-1.575 1.529 0 3.617.248 6.262.74l1.284.233-.078 4.318m4.589 14.587h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm16.377 13.692c-1.453.13-2.179.908-2.179 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.539.311zm8.752-5.134v8.091c.052.622.156 1.057.311 1.303.156.247.48.421.973.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.392-1.089-1.867.908-3.774 1.361-5.719 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.673-4.415 1.115-.869 2.826-1.381 5.135-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.75-.447l-7.313.312-.156-3.619c2.775-.751 5.413-1.127 7.916-1.127 2.502 0 4.304.519 5.407 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm22.406 12.953c-2.749.596-5.226.894-7.429.894-2.205 0-3.968-.272-5.291-.816-1.322-.545-2.36-1.413-3.112-2.606-.753-1.193-1.271-2.594-1.556-4.202-.285-1.607-.428-3.63-.428-6.068 0-5.108.719-8.667 2.159-10.678 1.44-2.009 4.091-3.015 7.955-3.015 2.229 0 4.809.351 7.741 1.051l-.156 4.279c-2.568-.389-4.7-.584-6.399-.584-1.698 0-2.911.228-3.637.681-.726.454-1.264 1.316-1.615 2.587-.349 1.271-.523 3.436-.523 6.496 0 3.061.355 5.18 1.068 6.36.713 1.18 2.14 1.77 4.279 1.77 2.14 0 4.416-.181 6.827-.545l.117 4.396m9.296.428h-5.212V35.06h5.212v8.712c1.79-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.368 2.295.986 1.53 1.479 3.89 1.479 7.08v10.541h-5.213V51.864c0-1.634-.194-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m22.639-8.247c-1.452.13-2.178.908-2.178 2.334 0 1.427.636 2.14 1.907 2.14.984 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.54.311zm8.753-5.134v8.091c.052.622.156 1.057.312 1.303.154.247.479.421.972.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.393-1.089-1.867.908-3.773 1.361-5.718 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.672-4.415 1.115-.869 2.827-1.381 5.136-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.751-.447l-7.312.312-.157-3.619c2.776-.751 5.414-1.127 7.917-1.127 2.502 0 4.305.519 5.407 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm5.173 13.381v-19.45h5.173v2.062c2.179-1.297 4.254-2.139 6.224-2.528v5.251c-2.1.441-3.902.895-5.406 1.361l-.779.272v13.032h-5.212m25.44-15.016h-4.785v7.975c0 .778.02 1.33.059 1.653.039.325.181.603.428.837.246.233.628.349 1.147.349l2.957-.077.233 4.162c-1.737.389-3.06.583-3.968.583-2.333 0-3.929-.525-4.785-1.575-.855-1.05-1.283-2.989-1.283-5.815v-8.092h-2.295v-4.434h2.295v-5.406h5.212v5.406h4.785v4.434m3.578 15.016h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm15.444 21.939h-5.213v-19.45h5.174v1.089c1.763-1.036 3.383-1.555 4.863-1.555 2.592 0 4.381.765 5.367 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.193-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.833 8.833 0 0 0-3.072.545l-.467.155v14.549m20.966-12.934c0 1.906.992 2.859 2.975 2.859 1.985 0 2.976-.953 2.976-2.859 0-1.906-.991-2.859-2.976-2.859-1.983 0-2.975.953-2.975 2.859zm-.312 15.929c0 1.115 1.368 1.673 4.104 1.673 2.736 0 4.105-.648 4.105-1.945 0-.7-.234-1.148-.701-1.343-.467-.193-1.452-.304-2.956-.33l-3.501-.272c-.7.7-1.051 1.439-1.051 2.217zm13.46-.564c0 2.217-.856 3.858-2.567 4.921-1.712 1.063-4.026 1.595-6.944 1.595s-5.161-.389-6.73-1.168c-1.569-.777-2.353-2.191-2.353-4.239 0-1.634.934-3.178 2.801-4.629-.96-.648-1.439-1.634-1.439-2.956 0-.519.389-1.375 1.167-2.568l.349-.545c-1.763-1.27-2.645-3.144-2.645-5.621 0-2.476.746-4.271 2.238-5.387 1.49-1.115 3.467-1.673 5.932-1.673 1.114 0 2.217.13 3.305.389l.623.117 6.263-.194v4.162l-2.918-.234c.57.882.856 1.764.856 2.646 0 2.593-.661 4.382-1.983 5.368-1.323.986-3.398 1.478-6.224 1.478a7.363 7.363 0 0 1-1.595-.156c-.26.675-.389 1.225-.389 1.653 0 .428.219.72.661.875.441.156 1.478.248 3.113.273 3.266.026 5.496.461 6.69 1.303 1.192.843 1.789 2.373 1.789 4.59zm54.617-14.533a3.51 3.51 0 0 1-3.5 3.5h-39.956a3.51 3.51 0 0 1-3.5-3.5V38.571a3.51 3.51 0 0 1 3.5-3.5h39.956a3.51 3.51 0 0 1 3.5 3.5v11.616",
    fill: "#162E3E"
  }), (0, _preact.h)("path", {
    fill: "#FFF",
    d: "M477.476 49.241h2.801v-3.228h-2.801zm8.733-9.958c.674 0 1.537.104 2.587.312l.525.116-.078 2.061c-1.024-.103-1.782-.155-2.275-.155-.894 0-1.488.192-1.78.574-.291.382-.437 1.105-.437 2.168 0 1.064.146 1.793.437 2.189.292.395.892.593 1.799.593l2.256-.156.078 2.081c-1.387.273-2.444.409-3.17.409-1.439 0-2.473-.405-3.102-1.216-.63-.81-.943-2.11-.943-3.9 0-1.789.323-3.082.972-3.88.649-.797 1.692-1.196 3.131-1.196m7.498 7.274c.266.467.743.7 1.43.7.686 0 1.164-.233 1.429-.7.266-.467.399-1.199.399-2.198 0-.998-.133-1.724-.399-2.178-.265-.453-.743-.681-1.429-.681-.687 0-1.164.228-1.43.681-.265.454-.398 1.18-.398 2.178 0 .999.133 1.731.398 2.198zm-2.013-5.941c.687-.889 1.835-1.333 3.443-1.333s2.755.444 3.443 1.333c.687.888 1.03 2.135 1.03 3.743 0 3.411-1.491 5.116-4.473 5.116-2.982 0-4.473-1.705-4.473-5.116 0-1.608.343-2.855 1.03-3.743zm12.428 8.625h-2.606v-9.724h2.587v.545c.895-.519 1.659-.779 2.295-.779 1.05 0 1.861.305 2.431.914 1.192-.609 2.282-.914 3.268-.914 1.283 0 2.174.373 2.674 1.119.499.745.749 1.935.749 3.568v5.271h-2.607v-5.193c0-.829-.09-1.442-.271-1.838-.183-.395-.545-.593-1.09-.593-.415 0-.921.091-1.516.273l-.293.096c.052.973.078 1.712.078 2.218v5.037h-2.606v-4.998c0-.96-.085-1.637-.253-2.033-.169-.395-.538-.593-1.108-.593a4.29 4.29 0 0 0-1.498.273l-.234.077v7.274"
  }), (0, _preact.h)("path", {
    d: "M19.093 52c0-18.319 13.581-33.524 31.202-36.081L40.663 2.633A5.556 5.556 0 0 0 34.016.768C14.025 9.182-.01 28.951-.01 52s14.035 42.818 34.026 51.232c2.377 1 5.132.223 6.647-1.865l9.632-13.286C32.674 85.524 19.093 70.319 19.093 52M70.446 2.633l-9.633 13.286C78.435 18.476 92.016 33.681 92.016 52c0 18.319-13.581 33.524-31.203 36.081l9.633 13.286a5.556 5.556 0 0 0 6.647 1.865c19.99-8.414 34.026-28.183 34.026-51.232S97.083 9.182 77.093.768a5.556 5.556 0 0 0-6.647 1.865",
    fill: "#173140"
  }), (0, _preact.h)("path", {
    d: "M58.348 19.319L70.446 2.633a5.56 5.56 0 0 1 6.659-1.86 55.435 55.435 0 0 1 11.57 6.61L65.124 40.479c-5.264 7.396-13.876 7.396-19.139 0L22.434 7.383A55.453 55.453 0 0 1 34.003.773a5.562 5.562 0 0 1 6.66 1.86L52.76 19.319c1.378 1.9 4.21 1.9 5.588 0m0 65.362l12.098 16.686a5.56 5.56 0 0 0 6.659 1.86 55.435 55.435 0 0 0 11.57-6.61L65.124 63.521c-5.264-7.396-13.876-7.396-19.139 0L22.434 96.617a55.453 55.453 0 0 0 11.569 6.61 5.562 5.562 0 0 0 6.66-1.86L52.76 84.681c1.378-1.9 4.21-1.9 5.588 0",
    fill: "#6CC4CA"
  })));
};

exports.LogoLight = LogoLight;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./utils/omit":"../utils/omit.js"}],"../transition-in.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transitionIn = void 0;

var _preact = require("preact");

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var transitionIn = function transitionIn(Wrapped) {
  var TransitionIn =
  /*#__PURE__*/
  function (_Component) {
    _inherits(TransitionIn, _Component);

    function TransitionIn(props) {
      var _this;

      _classCallCheck(this, TransitionIn);

      _this = _possibleConstructorReturn(this, _getPrototypeOf(TransitionIn).call(this, props));
      _this.state = {
        firstRender: true
      };
      return _this;
    }

    _createClass(TransitionIn, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        var _this2 = this;

        setTimeout(function () {
          _this2.setState({
            firstRender: false
          });
        }, 0);
      }
    }, {
      key: "render",
      value: function render() {
        return (0, _preact.h)(Wrapped, Object.assign({
          firstRender: this.state.firstRender
        }, this.props));
      }
    }]);

    return TransitionIn;
  }(_preact.Component);

  return TransitionIn;
};

exports.transitionIn = transitionIn;
},{"preact":"../../node_modules/preact/dist/preact.mjs"}],"../crate.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MessagePageCrate = exports.PageCrate = exports.Page = exports.LogoCrate = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _logo = require("./logo");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LogoCrate = function LogoCrate() {
  return (0, _preact.h)("div", {
    className: "mw6 mv3 ph3 pt2 pb3 center br2"
  }, (0, _preact.h)("div", {
    className: "w-60"
  }, (0, _preact.h)("a", {
    href: "/"
  }, (0, _preact.h)(_logo.LogoLight, null))));
};

exports.LogoCrate = LogoCrate;
var Page = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'transition',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref) {
    var firstRender = _ref.firstRender;
    return firstRender ? 'o-0 translate-y' : 'o-100';
  }
}));
exports.Page = Page;
var PageCrate = (0, _getStyledComponent.default)({
  baseClasses: 'no-print-padding mv3 ph3 pt2 pb3 center br2 shadow-1',
  options: {
    backgroundColor: 'white',
    width: ['wide']
  },
  fn: function fn(_ref2) {
    var wide = _ref2.wide,
        backgroundColor = _ref2.backgroundColor;
    return (0, _classnames.default)(wide ? 'mw7' : 'mw6', "bg-".concat(backgroundColor));
  }
});
exports.PageCrate = PageCrate;

var MessagePageCrate = function MessagePageCrate(props) {
  var loading = props.loading,
      error = props.error,
      warning = props.warning,
      children = props.children;
  var icon = null;
  var iconClasses = null;
  var backgroundColor = 'white';
  var colorClasses = null;

  if (loading) {
    icon = 'autorenew';
    iconClasses = 'spin-animation';
  }

  if (error) {
    icon = 'error';
    backgroundColor = 'red';
    colorClasses = 'black';
  }

  if (warning) {
    icon = 'warning';
    backgroundColor = 'orange';
    colorClasses = 'black';
  }

  var iconComp = (loading || error || warning) && (0, _preact.h)(_icon.Icon, {
    className: (0, _classnames.default)('f3 mr3', iconClasses),
    size: "40",
    icon: icon
  });
  return (0, _preact.h)(Page, (0, _omit.default)(props, ['loading', 'error', 'warning', 'children']), (0, _preact.h)(PageCrate, {
    backgroundColor: backgroundColor
  }, (0, _preact.h)("div", {
    className: (0, _classnames.default)('flex items-center h3 pt2 f4', colorClasses)
  }, iconComp, children)));
};

exports.MessagePageCrate = MessagePageCrate;
},{"preact":"../../node_modules/preact/dist/preact.mjs","classnames":"../../node_modules/classnames/index.js","./logo":"../logo.js","./utils/get-styled-component":"../utils/get-styled-component.js","./transition-in":"../transition-in.js","./utils/omit":"../utils/omit.js","./icon":"../icon.js"}],"../full-screen-overlay.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FullScreenOverlay = exports.FullScreenOverlayWrapper = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _omit = _interopRequireDefault(require("./utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FullScreenOverlayWrapper = (0, _getStyledComponent.default)({
  baseClasses: 'fixed top-0 left-0 z-999 w-100 h-100 bg-gray flex items-center dark-blue'
});
exports.FullScreenOverlayWrapper = FullScreenOverlayWrapper;

var FullScreenOverlay = function FullScreenOverlay(props) {
  return (0, _preact.h)(FullScreenOverlayWrapper, (0, _omit.default)(props, ['children']), (0, _preact.h)("div", {
    className: "center ph2 ph4-m"
  }, props.children));
};

exports.FullScreenOverlay = FullScreenOverlay;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./utils/get-styled-component":"../utils/get-styled-component.js","./utils/omit":"../utils/omit.js"}],"../inputs.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Textarea = exports.Select = exports.Input = exports.inputClasses = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var inputClasses = 'pa2 input-reset bg-white ba b--gray br2';
exports.inputClasses = inputClasses;
var Input = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'input'
});
exports.Input = Input;
var Select = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'select'
});
exports.Select = Select;
var Textarea = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'textarea'
});
exports.Textarea = Textarea;
},{"./utils/get-styled-component":"../utils/get-styled-component.js"}],"../drug-box.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugBox = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DrugBox = (0, _getStyledComponent.default)({
  baseClasses: 'pv2 ph2 br2 ba b--light-gray mb2 bg-near-white',
  options: {
    highlight: ['highlighted']
  },
  fn: function fn(_ref) {
    var highlighted = _ref.highlighted;
    return highlighted ? 'bg-lightest-blue' : 'bg-near-white';
  }
});
exports.DrugBox = DrugBox;
},{"./utils/get-styled-component":"../utils/get-styled-component.js"}],"../links.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SupportLink = exports.Link = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var supportEmail = 'support@anesthesiacharting.com';
var Link = (0, _getStyledComponent.default)({
  baseClasses: 'link dark-blue underline hover-light-blue',
  tagName: 'a'
});
exports.Link = Link;

var SupportLink = function SupportLink(props) {
  return (0, _preact.h)(Link, _extends({
    href: "mailto:".concat(supportEmail)
  }, props), supportEmail);
};

exports.SupportLink = SupportLink;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./utils/get-styled-component":"../utils/get-styled-component.js"}],"../check-mark.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckMark = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var CheckMark = function CheckMark(_ref) {
  var name = _ref.name,
      label = _ref.label,
      isComplete = _ref.isComplete,
      _onClick = _ref.onClick;
  return (0, _preact.h)("label", {
    htmlFor: name,
    className: "flex items-center w5 mb2",
    "data-e2e": "checkMark"
  }, (0, _preact.h)("input", {
    onClick: function onClick() {
      return _onClick(name);
    },
    className: "checkbox o-0",
    id: name,
    checked: isComplete,
    type: "checkbox"
  }), isComplete && (0, _preact.h)(_icon.Icon, {
    className: "light-blue",
    size: "40",
    icon: "check_box"
  }), !isComplete && (0, _preact.h)(_icon.Icon, {
    size: "40",
    icon: "check_box_outline_blank"
  }), (0, _preact.h)("span", {
    className: "ml2"
  }, label || name));
};

exports.CheckMark = CheckMark;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./icon":"../icon.js"}],"../drawer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Drawer = exports.DrawerLinkContainer = exports.DrawerLink = exports.FlipIcon = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var cardStyles = {
  backfaceVisibility: 'hidden',
  webkitBackfaceVisibility: 'hidden',
  position: 'absolute',
  top: '0',
  left: '0'
};
var FlipIcon = (0, _getStyledComponent.default)({
  options: {
    complete: ['complete'],
    icon: ['icon']
  },
  renderChildren: function renderChildren(_ref) {
    var icon = _ref.icon,
        complete = _ref.complete;
    return [(0, _preact.h)("div", {
      style: {
        position: 'relative',
        perspective: '100px',
        width: '20px',
        height: '20px'
      }
    }, (0, _preact.h)("div", {
      style: {
        transition: '0.6s',
        transformStyle: 'preserve-3d',
        webkitTransformStyle: 'preserve-3d',
        position: 'relative',
        transformOrigin: 'center',
        webkitTransformOrigin: 'center',
        width: '20px',
        height: '20px',
        transform: complete ? 'rotateX(180deg)' : '',
        webkitTransform: complete ? 'rotateX(180deg)' : ''
      }
    }, (0, _preact.h)(_icon.Icon, {
      style: Object.assign({}, cardStyles, {
        zIndex: 2,
        transform: 'rotateX(0deg)',
        webkitTransform: 'rotateX(0deg)'
      }),
      className: "light-blue",
      size: "20",
      icon: "check_circle"
    }), (0, _preact.h)(_icon.Icon, {
      style: Object.assign({}, cardStyles, {
        transform: 'rotateX(180deg)',
        webkitTransform: 'rotateX(180deg)'
      }),
      size: "20",
      icon: icon
    })))];
  }
});
exports.FlipIcon = FlipIcon;
var DrawerLink = (0, _getStyledComponent.default)({
  tagName: 'a',
  baseClasses: 'link pv1 mt1 f5 fw3 flex items-center',
  options: {
    active: ['active'],
    disabled: ['disabled'],
    completeness: ['complete']
  },
  fn: function fn(_ref2) {
    var active = _ref2.active,
        disabled = _ref2.disabled;
    return (0, _classnames.default)({
      'light-blue': active,
      'mid-gray not-allowed': disabled,
      'white hover-moon-gray': !active && !disabled
    });
  },
  renderChildren: function renderChildren(_ref3) {
    var icon = _ref3.icon,
        title = _ref3.title,
        complete = _ref3.complete;
    return [(0, _preact.h)(FlipIcon, {
      icon: icon,
      complete: !complete
    }), (0, _preact.h)("span", {
      "data-e2e": "".concat(title, "Nav"),
      className: icon ? 'pl2' : null
    }, title)];
  }
});
exports.DrawerLink = DrawerLink;
var DrawerLinkContainer = (0, _getStyledComponent.default)({
  baseClasses: 'link db pt2 pl3 f4',
  options: {
    completeness: ['complete'],
    title: ['title']
  },
  renderChildren: function renderChildren(_ref4) {
    var complete = _ref4.complete,
        title = _ref4.title,
        children = _ref4.children;
    return [(0, _preact.h)("div", {
      className: "flex items-center"
    }, (0, _preact.h)(_icon.Icon, {
      className: (0, _classnames.default)('light-blue pr2', {
        hidden: !complete
      }),
      size: "20",
      icon: "check_circle"
    }), (0, _preact.h)("h3", {
      className: "fw3 f6 ma0 ttu mid-gray bb b--mid-gray pb2 pt1 relative flex-grow-1"
    }, title)), (0, _preact.h)("div", null, children)];
  }
});
exports.DrawerLinkContainer = DrawerLinkContainer;
var Drawer = (0, _getStyledComponent.default)({
  baseClasses: 'bg-dark-blue white fixed top-0 vh-100 overflow-x-hidden'
});
exports.Drawer = Drawer;
},{"./utils/get-styled-component":"../utils/get-styled-component.js","preact":"../../node_modules/preact/dist/preact.mjs","./icon":"../icon.js","classnames":"../../node_modules/classnames/index.js"}],"../numpad.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NumpadButton = exports.NumpadOverlay = exports.Numpad = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _button = require("./button");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _fullScreenOverlay = require("./full-screen-overlay");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var cellStyle = {
  width: '80px',
  height: '80px'
};

var stopEvent = function stopEvent(e) {
  e.preventDefault();
  e.stopImmediatePropagation();
};

var quickTap = function quickTap(e) {
  e.preventDefault();
  e.target.click();
};

var NumberCell = function NumberCell(_ref) {
  var number = _ref.number,
      callback = _ref.callback;
  return (0, _preact.h)("td", null, (0, _preact.h)(_button.Button, {
    onClick: function onClick(e) {
      e.stopImmediatePropagation();
      callback(number);
    },
    onTouchStart: quickTap,
    style: cellStyle
  }, number));
};

var Numpad =
/*#__PURE__*/
function (_Component) {
  _inherits(Numpad, _Component);

  function Numpad(props) {
    var _this;

    _classCallCheck(this, Numpad);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Numpad).call(this, props));
    _this.addNumber = _this.addNumber.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.backspace = _this.backspace.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.close = _this.close.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.onKey = _this.onKey.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.state = {
      value: '0'
    };
    return _this;
  }

  _createClass(Numpad, [{
    key: "addNumber",
    value: function addNumber(number) {
      var value = this.state.value;
      var _this$props = this.props,
          max = _this$props.max,
          maxDecimals = _this$props.maxDecimals;

      if (number === '.' && value.includes('.')) {
        return;
      }

      var newNumber = this.state.value + '' + number;

      if (newNumber.slice(0, 1) === '0') {
        newNumber = newNumber.slice(1);
      }

      var decimals = newNumber.split('.')[1];

      if (decimals && decimals.length > maxDecimals) {
        return;
      }

      if (max && Number(newNumber) > max) {
        return;
      }

      this.setState({
        value: newNumber
      });
    }
  }, {
    key: "backspace",
    value: function backspace(e) {
      if (e) e.stopImmediatePropagation();
      var number = (this.state.value + '').slice(0, -1);
      this.setState({
        value: number || '0'
      });
    }
  }, {
    key: "onKey",
    value: function onKey(e) {
      var value = e.which - 48;

      if (value <= 9 && value >= 0) {
        this.addNumber(value);
      } else if (e.which === 8 || e.which === 48) {
        this.backspace();
      } else if (e.which === 27) {
        this.close();
      } else if (e.which === 13) {
        this.close(this.state.value);
      } else if (e.which === 190) {
        this.addNumber('.');
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('keydown', this.onKey);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('keydown', this.onKey);
    }
  }, {
    key: "close",
    value: function close(value) {
      if (_typeof(value) === 'object') {
        value = undefined;
      }

      this.props.onClose(value !== undefined ? Number(value) : undefined);
    }
  }, {
    key: "render",
    value: function render(props, _ref2) {
      var _this2 = this;

      var value = _ref2.value;
      var unit = props.unit,
          className = props.className,
          max = props.max;
      var rest = (0, _omit.default)(props, ['unit', 'className', 'max']);
      return (0, _preact.h)("div", _extends({
        onClick: stopEvent,
        className: (0, _classnames.default)('ba br2 b--gray bg-light-gray pa2 shadow-2 top-0 left-0', className)
      }, rest), (0, _preact.h)("div", {
        className: "flex items-center justify-between"
      }, (0, _preact.h)("div", {
        className: "ml2"
      }, max && "max: ".concat(max)), (0, _preact.h)("div", {
        className: "flex items-center justify-end"
      }, (0, _preact.h)("span", {
        className: "fw6 f4 mr2"
      }, value, " ", unit), (0, _preact.h)("button", {
        className: "bn bg-transparent",
        onClick: this.backspace,
        onTouchStart: function onTouchStart(e) {
          e.preventDefault();
          e.target.click();
        },
        style: cellStyle
      }, (0, _preact.h)(_icon.Icon, {
        icon: "backspace"
      })))), (0, _preact.h)("table", null, (0, _preact.h)("tr", null, (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "1"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "2"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "3"
      }), (0, _preact.h)("td", {
        style: cellStyle
      }, (0, _preact.h)("div", {
        className: "relative",
        style: cellStyle
      }, (0, _preact.h)(_button.Button, {
        style: {
          width: '80px',
          height: '162px',
          top: '1px'
        },
        stop: true,
        className: "absolute top-0 left-0",
        onClick: function onClick() {
          return _this2.close();
        }
      }, "Cancel")))), (0, _preact.h)("tr", null, (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "4"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "5"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "6"
      }), (0, _preact.h)("td", null)), (0, _preact.h)("tr", null, (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "7"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "8"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "9"
      }), (0, _preact.h)("td", {
        style: cellStyle
      }, (0, _preact.h)("div", {
        className: "relative",
        style: cellStyle
      }, (0, _preact.h)(_button.Button, {
        style: {
          width: '80px',
          height: '162px',
          top: '1px'
        },
        primary: true,
        className: "absolute left-0",
        onClick: function onClick() {
          _this2.close(value);
        }
      }, "Save")))), (0, _preact.h)("tr", null, (0, _preact.h)(NumberCell, {
        callback: function callback() {
          return _this2.setState({
            value: '0'
          });
        },
        number: "Clear"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "0"
      }), (0, _preact.h)(NumberCell, {
        callback: this.addNumber,
        number: "."
      }), (0, _preact.h)("td", null))));
    }
  }]);

  return Numpad;
}(_preact.Component);

exports.Numpad = Numpad;

var NumpadOverlay =
/*#__PURE__*/
function (_Component2) {
  _inherits(NumpadOverlay, _Component2);

  function NumpadOverlay() {
    _classCallCheck(this, NumpadOverlay);

    return _possibleConstructorReturn(this, _getPrototypeOf(NumpadOverlay).apply(this, arguments));
  }

  _createClass(NumpadOverlay, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      setTimeout(function () {
        document.activeElement.blur();
      }, 200);
    }
  }, {
    key: "render",
    value: function render(_ref3) {
      var _ref3$unit = _ref3.unit,
          unit = _ref3$unit === void 0 ? 'mg' : _ref3$unit,
          onValue = _ref3.onValue,
          onCancel = _ref3.onCancel,
          _ref3$max = _ref3.max,
          max = _ref3$max === void 0 ? null : _ref3$max,
          _ref3$maxDecimals = _ref3.maxDecimals,
          maxDecimals = _ref3$maxDecimals === void 0 ? 2 : _ref3$maxDecimals;
      return (0, _preact.h)(_fullScreenOverlay.FullScreenOverlay, null, (0, _preact.h)(Numpad, {
        unit: unit,
        max: max,
        maxDecimals: maxDecimals,
        onClose: function onClose(value) {
          if (value !== undefined) {
            onValue(value);
          } else {
            onCancel();
          }
        }
      }));
    }
  }]);

  return NumpadOverlay;
}(_preact.Component);

exports.NumpadOverlay = NumpadOverlay;

var NumpadButton =
/*#__PURE__*/
function (_Component3) {
  _inherits(NumpadButton, _Component3);

  function NumpadButton(props) {
    var _this3;

    _classCallCheck(this, NumpadButton);

    _this3 = _possibleConstructorReturn(this, _getPrototypeOf(NumpadButton).call(this, props));
    _this3.state = {
      open: false
    };
    return _this3;
  }

  _createClass(NumpadButton, [{
    key: "render",
    value: function render(_ref4, _ref5) {
      var _this4 = this;

      var unit = _ref4.unit,
          max = _ref4.max,
          maxDecimals = _ref4.maxDecimals,
          _onValue = _ref4.onValue,
          _onCancel = _ref4.onCancel;
      var open = _ref5.open;
      return (0, _preact.h)(_button.Button, {
        onClick: function onClick() {
          _this4.setState({
            open: true
          });
        }
      }, (0, _preact.h)(_icon.Icon, {
        icon: "dialpad"
      }), open && (0, _preact.h)(NumpadOverlay, {
        unit: unit,
        max: max,
        maxDecimals: maxDecimals,
        onCancel: function onCancel() {
          _onCancel && _onCancel();

          _this4.setState({
            open: false
          });
        },
        onValue: function onValue(val) {
          _onValue(val);

          _this4.setState({
            open: false
          });
        }
      }));
    }
  }]);

  return NumpadButton;
}(_preact.Component);

exports.NumpadButton = NumpadButton;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./icon":"../icon.js","./button":"../button.js","classnames":"../../node_modules/classnames/index.js","./utils/omit":"../utils/omit.js","./full-screen-overlay":"../full-screen-overlay.js"}],"../../node_modules/preact-portal/dist/preact-portal.js":[function(require,module,exports) {
var define;
var global = arguments[3];
(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('preact')) :
  typeof define === 'function' && define.amd ? define(['preact'], factory) :
  (global.preactPortal = factory(global.preact));
}(this, (function (preact) { 'use strict';

var asyncGenerator = function () {
  function AwaitValue(value) {
    this.value = value;
  }

  function AsyncGenerator(gen) {
    var front, back;

    function send(key, arg) {
      return new Promise(function (resolve, reject) {
        var request = {
          key: key,
          arg: arg,
          resolve: resolve,
          reject: reject,
          next: null
        };

        if (back) {
          back = back.next = request;
        } else {
          front = back = request;
          resume(key, arg);
        }
      });
    }

    function resume(key, arg) {
      try {
        var result = gen[key](arg);
        var value = result.value;

        if (value instanceof AwaitValue) {
          Promise.resolve(value.value).then(function (arg) {
            resume("next", arg);
          }, function (arg) {
            resume("throw", arg);
          });
        } else {
          settle(result.done ? "return" : "normal", result.value);
        }
      } catch (err) {
        settle("throw", err);
      }
    }

    function settle(type, value) {
      switch (type) {
        case "return":
          front.resolve({
            value: value,
            done: true
          });
          break;

        case "throw":
          front.reject(value);
          break;

        default:
          front.resolve({
            value: value,
            done: false
          });
          break;
      }

      front = front.next;

      if (front) {
        resume(front.key, front.arg);
      } else {
        back = null;
      }
    }

    this._invoke = send;

    if (typeof gen.return !== "function") {
      this.return = undefined;
    }
  }

  if (typeof Symbol === "function" && Symbol.asyncIterator) {
    AsyncGenerator.prototype[Symbol.asyncIterator] = function () {
      return this;
    };
  }

  AsyncGenerator.prototype.next = function (arg) {
    return this._invoke("next", arg);
  };

  AsyncGenerator.prototype.throw = function (arg) {
    return this._invoke("throw", arg);
  };

  AsyncGenerator.prototype.return = function (arg) {
    return this._invoke("return", arg);
  };

  return {
    wrap: function (fn) {
      return function () {
        return new AsyncGenerator(fn.apply(this, arguments));
      };
    },
    await: function (value) {
      return new AwaitValue(value);
    }
  };
}();

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var Portal = function (_Component) {
	inherits(Portal, _Component);

	function Portal() {
		classCallCheck(this, Portal);
		return possibleConstructorReturn(this, _Component.apply(this, arguments));
	}

	Portal.prototype.componentDidUpdate = function componentDidUpdate(props) {
		for (var i in props) {
			if (props[i] !== this.props[i]) {
				return setTimeout(this.renderLayer);
			}
		}
	};

	Portal.prototype.componentDidMount = function componentDidMount() {
		this.isMounted = true;
		this.renderLayer = this.renderLayer.bind(this);
		this.renderLayer();
	};

	Portal.prototype.componentWillUnmount = function componentWillUnmount() {
		this.renderLayer(false);
		this.isMounted = false;
		if (this.remote) this.remote.parentNode.removeChild(this.remote);
	};

	Portal.prototype.findNode = function findNode(node) {
		return typeof node === 'string' ? document.querySelector(node) : node;
	};

	Portal.prototype.renderLayer = function renderLayer() {
		var show = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;

		if (!this.isMounted) return;

		if (this.props.into !== this.intoPointer) {
			this.intoPointer = this.props.into;
			if (this.into && this.remote) {
				this.remote = preact.render(preact.h(PortalProxy, null), this.into, this.remote);
			}
			this.into = this.findNode(this.props.into);
		}

		this.remote = preact.render(preact.h(
			PortalProxy,
			{ context: this.context },
			show && this.props.children || null
		), this.into, this.remote);
	};

	Portal.prototype.render = function render() {
		return null;
	};

	return Portal;
}(preact.Component);

var PortalProxy = function (_Component2) {
	inherits(PortalProxy, _Component2);

	function PortalProxy() {
		classCallCheck(this, PortalProxy);
		return possibleConstructorReturn(this, _Component2.apply(this, arguments));
	}

	PortalProxy.prototype.getChildContext = function getChildContext() {
		return this.props.context;
	};

	PortalProxy.prototype.render = function render(_ref) {
		var children = _ref.children;

		return children && children[0] || null;
	};

	return PortalProxy;
}(preact.Component);

return Portal;

})));


},{"preact":"../../node_modules/preact/dist/preact.mjs"}],"../shield.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Shield = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var Shield = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'fixed transition w-100 h-100 top-0 left-0 bg-blue o-50',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref) {
    var firstRender = _ref.firstRender;
    return firstRender ? 'o-0' : '';
  }
}));
exports.Shield = Shield;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./utils/get-styled-component":"../utils/get-styled-component.js","./transition-in":"../transition-in.js"}],"../dialog.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dialog = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _preactPortal = _interopRequireDefault(require("preact-portal"));

var _icon = require("./icon");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _shield = require("./shield");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Dialog = function Dialog(incomingProps) {
  var className = incomingProps.className,
      title = incomingProps.title,
      doClose = incomingProps.doClose,
      forceChoice = incomingProps.forceChoice,
      style = incomingProps.style,
      children = incomingProps.children;
  var props = (0, _omit.default)(incomingProps, ['className', 'title', 'doClose', 'forceChoice', 'style', 'children']);
  return (0, _preact.h)(_preactPortal.default, {
    into: "body"
  }, (0, _preact.h)("div", {
    className: "fixed z-999 vh-100 w-100 top-0 left-0 flex items-center justify-center overflow-y-scroll"
  }, (0, _preact.h)(_shield.Shield, {
    onClick: forceChoice ? null : doClose
  }), (0, _preact.h)("dialog", _extends({
    open: true,
    style: Object.assign({
      minHeight: '200px',
      minWidth: '300px',
      width: '400px'
    }, style),
    className: (0, _classnames.default)('pa3 bg-white bn br3 shadow-2 z-999 relative', className)
  }, props), !forceChoice && (0, _preact.h)("button", {
    onClick: doClose,
    className: "button-reset bn bg-transparent absolute top-0 right-0 pa3"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "close"
  })), title && (0, _preact.h)("h3", {
    className: "mt0 mb2"
  }, title), children)));
};

exports.Dialog = Dialog;
},{"preact":"../../node_modules/preact/dist/preact.mjs","classnames":"../../node_modules/classnames/index.js","preact-portal":"../../node_modules/preact-portal/dist/preact-portal.js","./icon":"../icon.js","./utils/omit":"../utils/omit.js","./shield":"../shield.js"}],"../../node_modules/milliseconds/milliseconds.js":[function(require,module,exports) {
function calc(m) {
    return function(n) { return Math.round(n * m); };
};
module.exports = {
    seconds: calc(1e3),
    minutes: calc(6e4),
    hours: calc(36e5),
    days: calc(864e5),
    weeks: calc(6048e5),
    months: calc(26298e5),
    years: calc(315576e5)
};

},{}],"../footer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = void 0;

var _preact = require("preact");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var currentYear = new Date().getFullYear();

var getUpdatedText = function getUpdatedText(updatedDate) {
  if (Date.now() - updatedDate < _milliseconds.default.weeks(2)) {
    var date = new Date(updatedDate);
    return "".concat(date.getMonth() + 1, "/").concat(date.getDate(), "/").concat((date.getFullYear() + '').slice(2));
  }
};

var linkClasses = 'link f6 gray no-underline underline-hover';

var Footer = function Footer(_ref) {
  var _ref$privacyUrl = _ref.privacyUrl,
      privacyUrl = _ref$privacyUrl === void 0 ? 'https://legal.anesthesiacharting.com/privacy' : _ref$privacyUrl,
      _ref$termsUrl = _ref.termsUrl,
      termsUrl = _ref$termsUrl === void 0 ? 'https://legal.anesthesiacharting.com/terms' : _ref$termsUrl,
      version = _ref.version,
      privacyUpdatedDate = _ref.privacyUpdatedDate,
      hideLinks = _ref.hideLinks;
  var updateText = privacyUpdatedDate && getUpdatedText(privacyUpdatedDate);
  return (0, _preact.h)("footer", {
    className: "pt2 pb3 tc f6 gray mb7"
  }, "\xA9 ", currentYear, " I.V. Enterprises LLC ", version && "v".concat(version), ' ', !hideLinks && (0, _preact.h)("div", {
    className: "mt1 no-print"
  }, (0, _preact.h)("a", {
    className: linkClasses,
    href: termsUrl,
    rel: "noopener"
  }, "terms"), ' | ', (0, _preact.h)("a", {
    className: linkClasses,
    href: privacyUrl,
    rel: "noopener"
  }, "privacy"), updateText && " (updated ".concat(updateText, ")")));
};

exports.Footer = Footer;
},{"preact":"../../node_modules/preact/dist/preact.mjs","milliseconds":"../../node_modules/milliseconds/milliseconds.js"}],"../utils/throttle.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.throttle = void 0;

var throttle = function throttle(callback, delay) {
  var timeout = null;

  var fn = function fn() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    if (!timeout) {
      timeout = setTimeout(function () {
        callback.apply(void 0, args);
        clearTimeout(timeout);
        timeout = null;
      }, delay);
    }
  };

  fn();
  return fn;
};

exports.throttle = throttle;
},{}],"../app-layout.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppLayout = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var _preact = require("preact");

var _logo = require("./logo");

var _drawer = require("./drawer");

var _shield = require("./shield");

var _footer = require("./footer");

var _button = require("./button");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _throttle = require("./utils/throttle");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var DrawerContentWrapper =
/*#__PURE__*/
function (_Component) {
  _inherits(DrawerContentWrapper, _Component);

  function DrawerContentWrapper(props) {
    var _this;

    _classCallCheck(this, DrawerContentWrapper);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(DrawerContentWrapper).call(this, props));
    _this.handleScroll = (0, _throttle.throttle)(_this.handleScroll.bind(_assertThisInitialized(_assertThisInitialized(_this))), 200);
    return _this;
  }

  _createClass(DrawerContentWrapper, [{
    key: "handleScroll",
    value: function handleScroll() {
      if (!this.base) {
        return;
      }

      var _this$props = this.props,
          updateScrolledDown = _this$props.updateScrolledDown,
          scrolledDown = _this$props.scrolledDown;
      var scrollTop = this.base.scrollTop;

      if (scrollTop === 0 && scrolledDown) {
        updateScrolledDown(false);
      }

      if (!scrolledDown && scrollTop > 0) {
        updateScrolledDown(true);
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.base.addEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "componentWillUnMount",
    value: function componentWillUnMount() {
      this.base.removeEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var style = _ref.style,
          children = _ref.children;
      return (0, _preact.h)("div", {
        className: "v-scroll h-100 w-100",
        style: style
      }, children);
    }
  }]);

  return DrawerContentWrapper;
}(_preact.Component);

var AppLayout =
/*#__PURE__*/
function (_Component2) {
  _inherits(AppLayout, _Component2);

  function AppLayout(props) {
    var _this2;

    _classCallCheck(this, AppLayout);

    _this2 = _possibleConstructorReturn(this, _getPrototypeOf(AppLayout).call(this, props));
    _this2.state = {
      drawerScrolledDown: false
    };
    _this2.updateScrolledDown = _this2.updateScrolledDown.bind(_assertThisInitialized(_assertThisInitialized(_this2)));
    return _this2;
  }

  _createClass(AppLayout, [{
    key: "updateScrolledDown",
    value: function updateScrolledDown(scrolledDown) {
      this.setState({
        drawerScrolledDown: scrolledDown
      });
    }
  }, {
    key: "render",
    value: function render(props, _ref2) {
      var drawerScrolledDown = _ref2.drawerScrolledDown;
      var drawerOpen = props.drawerOpen,
          screenIsWide = props.screenIsWide,
          drawerEnabled = props.drawerEnabled,
          drawerContent = props.drawerContent,
          statusBarContent = props.statusBarContent,
          extraContent = props.extraContent,
          _props$drawerWidth = props.drawerWidth,
          drawerWidth = _props$drawerWidth === void 0 ? 256 : _props$drawerWidth,
          mainContent = props.mainContent,
          doCloseDrawer = props.doCloseDrawer,
          hideFooter = props.hideFooter,
          version = props.version;
      var rest = (0, _omit.default)(props, ['drawerOpen', 'screenIsWide', 'drawerEnabled', 'drawerContent', 'statusBarContent', 'extraContent', 'drawerWidth', 'mainContent', 'doCloseDrawer', 'hideFooter', 'version']);
      var drawerAlwaysVisible = drawerEnabled && screenIsWide;
      var useFloatingDrawer = drawerEnabled && !screenIsWide;
      var showShield = useFloatingDrawer && drawerOpen;
      var floatingDrawerHidden = useFloatingDrawer && !drawerOpen;
      var leftMarginStyles = drawerAlwaysVisible ? {
        width: "calc(100% - ".concat(drawerWidth, "px)"),
        marginLeft: "".concat(drawerWidth, "px")
      } : {
        width: '100%'
      };

      if (showShield) {
        document.body.classList.add('overflow-hidden');
      } else {
        document.body.classList.remove('overflow-hidden');
      }

      var drawerHeaderHeightPx = (drawerAlwaysVisible ? 80 : 60) + 'px';
      return (0, _preact.h)("div", _extends({
        className: "bg-near-white dark-blue sans-serif min-vh-100"
      }, rest), statusBarContent && (0, _preact.h)("div", {
        className: "sticky no-print top-0 bg-light-gray z-1 shadow-1",
        style: leftMarginStyles
      }, statusBarContent), drawerEnabled && (0, _preact.h)(_drawer.Drawer, {
        "aria-hidden": floatingDrawerHidden,
        className: useFloatingDrawer ? 'z-4 transition' : '',
        style: {
          width: "".concat(drawerWidth, "px"),
          transform: floatingDrawerHidden ? "translateX(".concat(-drawerWidth, "px)") : null
        }
      }, (0, _preact.h)("div", {
        className: (0, _classnames.default)('absolute left-0 bg-dark-blue z-1 top-0 pa2 pa3-l', {
          'shadow-1': drawerScrolledDown
        }),
        style: {
          width: "".concat(drawerWidth, "px"),
          height: drawerHeaderHeightPx
        }
      }, screenIsWide && (0, _preact.h)(_logo.LogoDark, null), !screenIsWide && (0, _preact.h)("div", {
        className: "flex items-center justify-between"
      }, (0, _preact.h)(_button.TapIconButton, {
        icon: "close",
        color: "white",
        className: "flex-shrink-0",
        onClick: doCloseDrawer
      }), (0, _preact.h)(_logo.LogoTextOnly, {
        className: "mh3",
        style: {
          paddingTop: '6px'
        }
      }))), (0, _preact.h)(DrawerContentWrapper, {
        scrolledDown: drawerScrolledDown,
        updateScrolledDown: this.updateScrolledDown,
        style: {
          paddingTop: drawerHeaderHeightPx,
          paddingBottom: drawerHeaderHeightPx
        }
      }, drawerContent)), showShield && (0, _preact.h)(_shield.Shield, {
        className: "z-3 dn-l",
        onClick: function onClick() {
          return doCloseDrawer && doCloseDrawer();
        }
      }), (0, _preact.h)("main", {
        style: leftMarginStyles,
        className: "bg-nearly-white overflow-x-hidden"
      }, mainContent, hideFooter !== true && (0, _preact.h)(_footer.Footer, {
        version: version
      })), extraContent);
    }
  }]);

  return AppLayout;
}(_preact.Component);

exports.AppLayout = AppLayout;
},{"classnames":"../../node_modules/classnames/index.js","preact":"../../node_modules/preact/dist/preact.mjs","./logo":"../logo.js","./drawer":"../drawer.js","./shield":"../shield.js","./footer":"../footer.js","./button":"../button.js","./utils/omit":"../utils/omit.js","./utils/throttle":"../utils/throttle.js"}],"../../node_modules/tryit/tryit.js":[function(require,module,exports) {
// tryit
// Simple, re-usuable try-catch, this is a performance optimization
// and provides a cleaner API.
module.exports = function (fn, cb) {
    var err;

    try {
        fn();
    } catch (e) {
        err = e;
    }

    if (cb) cb(err || null);
};

},{}],"../utils/ls.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearLocalStorage = exports.deleteLocalStorageItem = exports.getLocalStorageItem = exports.setLocalStorageItem = void 0;

var _tryit = _interopRequireDefault(require("tryit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setLocalStorageItem = function setLocalStorageItem(item, value) {
  return (0, _tryit.default)(function () {
    return localStorage.setItem(item, value);
  });
};

exports.setLocalStorageItem = setLocalStorageItem;

var getLocalStorageItem = function getLocalStorageItem(item) {
  var result;
  (0, _tryit.default)(function () {
    result = localStorage.getItem(item);
  });
  return result;
};

exports.getLocalStorageItem = getLocalStorageItem;

var deleteLocalStorageItem = function deleteLocalStorageItem(item) {
  return (0, _tryit.default)(function () {
    return delete localStorage[item];
  });
};

exports.deleteLocalStorageItem = deleteLocalStorageItem;

var clearLocalStorage = function clearLocalStorage() {
  return (0, _tryit.default)(function () {
    var debug = localStorage.debug;
    localStorage.clear();

    if (debug) {
      localStorage.debug = debug;
    }
  });
};

exports.clearLocalStorage = clearLocalStorage;
},{"tryit":"../../node_modules/tryit/tryit.js"}],"../utils/cookie.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteCookie = exports.readCookie = exports.writeCookie = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var writeCookie = function writeCookie(item, value) {
  var _cookieData;

  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      maxAge = _ref.maxAge,
      expires = _ref.expires,
      _ref$secure = _ref.secure,
      secure = _ref$secure === void 0 ? false : _ref$secure,
      domain = _ref.domain;

  var cookieData = (_cookieData = {}, _defineProperty(_cookieData, item, value), _defineProperty(_cookieData, "domain", domain || location.hostname), _defineProperty(_cookieData, "path", '/'), _defineProperty(_cookieData, "secure", secure), _cookieData);

  if (location.hostname === 'localhost') {
    cookieData.secure = false;
  }

  if (maxAge) {
    cookieData['max-age'] = Math.floor(maxAge / 1000); // convert to seconds
  } else if (expires) {
    cookieData.expires = expires.toGMTString();
  }

  var cookieString = Object.keys(cookieData).reduce(function (result, key) {
    var value = cookieData[key];

    if (typeof value === 'boolean') {
      if (value === true) {
        result.push(key);
      }
    } else {
      result.push("".concat(key, "=").concat(value));
    }

    return result;
  }, []).join(';');
  document.cookie = cookieString;
};

exports.writeCookie = writeCookie;

var readCookie = function readCookie(name) {
  var found = document.cookie.split(';').find(function (item) {
    return item.startsWith(name);
  });
  return found ? found.split('=')[1] : null;
};

exports.readCookie = readCookie;

var deleteCookie = function deleteCookie(item, domain) {
  return writeCookie(item, '', {
    expires: new Date(0),
    domain: domain
  });
};

exports.deleteCookie = deleteCookie;
},{}],"../utils/token-writer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenWriter = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

var _ls = require("./ls");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createTokenWriter = function createTokenWriter(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'token' : _ref$name,
      domain = _ref.domain;

  var writeToken = function writeToken(token) {
    (0, _cookie.writeCookie)(name, token, {
      maxAge: _milliseconds.default.days(180),
      secure: true,
      domain: domain
    });
  };

  var readToken = function readToken() {
    var valueFromLS = (0, _ls.getLocalStorageItem)('token');
    var valueFromCookie = (0, _cookie.readCookie)(name);

    if (valueFromLS && valueFromLS !== valueFromCookie) {
      writeToken(valueFromLS);
      (0, _ls.deleteLocalStorageItem)('token');
    }

    return valueFromCookie || valueFromLS;
  };

  var clearToken = function clearToken() {
    return (0, _cookie.deleteCookie)(name, domain);
  };

  return {
    writeToken: writeToken,
    readToken: readToken,
    clearToken: clearToken
  };
};

exports.createTokenWriter = createTokenWriter;
},{"milliseconds":"../../node_modules/milliseconds/milliseconds.js","./cookie":"../utils/cookie.js","./ls":"../utils/ls.js"}],"../bundles/token.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenBundle = void 0;

var _tokenWriter = require("../utils/token-writer");

var _ls = require("../utils/ls");

var UPDATED = 'TOKEN_UPDATED';
var CLEARED = 'TOKEN_CLEARED';

var createTokenBundle = function createTokenBundle(opts) {
  var _createTokenWriter = (0, _tokenWriter.createTokenWriter)(opts),
      readToken = _createTokenWriter.readToken,
      writeToken = _createTokenWriter.writeToken,
      clearToken = _createTokenWriter.clearToken;

  return {
    name: 'token',
    getReducer: function getReducer() {
      var initial = {
        token: readToken()
      };
      return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initial;

        var _ref = arguments.length > 1 ? arguments[1] : undefined,
            type = _ref.type,
            payload = _ref.payload;

        if (type === UPDATED) {
          return Object.assign({}, state, {
            token: payload
          });
        }

        if (type === CLEARED) {
          return Object.assign({}, state, {
            token: null
          });
        }

        return state;
      };
    },
    selectAuthToken: function selectAuthToken(state) {
      return state.token.token;
    },
    selectIsSignedIn: function selectIsSignedIn(state) {
      return !!state.token.token;
    },
    doReceiveToken: function doReceiveToken(token) {
      return function (_ref2) {
        var dispatch = _ref2.dispatch;
        writeToken(token);
        dispatch({
          type: UPDATED,
          payload: token
        });
      };
    },
    doClearToken: function doClearToken() {
      return function (_ref3) {
        var dispatch = _ref3.dispatch;
        clearToken();
        (0, _ls.clearLocalStorage)();
        dispatch({
          type: CLEARED
        });
      };
    }
  };
};

exports.createTokenBundle = createTokenBundle;
},{"../utils/token-writer":"../utils/token-writer.js","../utils/ls":"../utils/ls.js"}],"../bundles/layout-ui.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layoutUiBundle = void 0;
var DRAWER_OPENED = 'DRAWER_OPENED';
var DRAWER_CLOSED = 'DRAWER_CLOSED';
var layoutUiBundle = {
  name: 'layoutUi',
  reducer: function reducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
      drawerOpen: false,
      beeping: null
    };

    var _ref = arguments.length > 1 ? arguments[1] : undefined,
        type = _ref.type;

    if (type === DRAWER_OPENED) {
      return Object.assign({}, state, {
        drawerOpen: true
      });
    }

    if (type === DRAWER_CLOSED) {
      return Object.assign({}, state, {
        drawerOpen: false
      });
    }

    return state;
  },
  selectDrawerIsOpen: function selectDrawerIsOpen(state) {
    return state.layoutUi.drawerOpen;
  },
  doOpenDrawer: function doOpenDrawer() {
    return {
      type: DRAWER_OPENED
    };
  },
  doCloseDrawer: function doCloseDrawer() {
    return {
      type: DRAWER_CLOSED
    };
  }
};
exports.layoutUiBundle = layoutUiBundle;
},{}],"../index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getStyledComponent: true,
  omit: true
};
Object.defineProperty(exports, "getStyledComponent", {
  enumerable: true,
  get: function () {
    return _getStyledComponent.default;
  }
});
Object.defineProperty(exports, "omit", {
  enumerable: true,
  get: function () {
    return _omit.default;
  }
});

var _button = require("./button");

Object.keys(_button).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _button[key];
    }
  });
});

var _logo = require("./logo");

Object.keys(_logo).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _logo[key];
    }
  });
});

var _crate = require("./crate");

Object.keys(_crate).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _crate[key];
    }
  });
});

var _fullScreenOverlay = require("./full-screen-overlay");

Object.keys(_fullScreenOverlay).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fullScreenOverlay[key];
    }
  });
});

var _inputs = require("./inputs");

Object.keys(_inputs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _inputs[key];
    }
  });
});

var _icon = require("./icon");

Object.keys(_icon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _icon[key];
    }
  });
});

var _drugBox = require("./drug-box");

Object.keys(_drugBox).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drugBox[key];
    }
  });
});

var _links = require("./links");

Object.keys(_links).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _links[key];
    }
  });
});

var _checkMark = require("./check-mark");

Object.keys(_checkMark).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _checkMark[key];
    }
  });
});

var _transitionIn = require("./transition-in");

Object.keys(_transitionIn).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _transitionIn[key];
    }
  });
});

var _drawer = require("./drawer");

Object.keys(_drawer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drawer[key];
    }
  });
});

var _numpad = require("./numpad");

Object.keys(_numpad).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _numpad[key];
    }
  });
});

var _dialog = require("./dialog");

Object.keys(_dialog).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _dialog[key];
    }
  });
});

var _appLayout = require("./app-layout");

Object.keys(_appLayout).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appLayout[key];
    }
  });
});

var _shield = require("./shield");

Object.keys(_shield).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _shield[key];
    }
  });
});

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _ls = require("./utils/ls");

Object.keys(_ls).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _ls[key];
    }
  });
});

var _cookie = require("./utils/cookie");

Object.keys(_cookie).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _cookie[key];
    }
  });
});

var _tokenWriter = require("./utils/token-writer");

Object.keys(_tokenWriter).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tokenWriter[key];
    }
  });
});

var _throttle = require("./utils/throttle");

Object.keys(_throttle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _throttle[key];
    }
  });
});

var _token = require("./bundles/token");

Object.keys(_token).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _token[key];
    }
  });
});

var _layoutUi = require("./bundles/layout-ui");

Object.keys(_layoutUi).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _layoutUi[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
},{"./button":"../button.js","./logo":"../logo.js","./crate":"../crate.js","./full-screen-overlay":"../full-screen-overlay.js","./inputs":"../inputs.js","./icon":"../icon.js","./drug-box":"../drug-box.js","./links":"../links.js","./check-mark":"../check-mark.js","./transition-in":"../transition-in.js","./drawer":"../drawer.js","./numpad":"../numpad.js","./dialog":"../dialog.js","./app-layout":"../app-layout.js","./shield":"../shield.js","./utils/get-styled-component":"../utils/get-styled-component.js","./utils/omit":"../utils/omit.js","./utils/ls":"../utils/ls.js","./utils/cookie":"../utils/cookie.js","./utils/token-writer":"../utils/token-writer.js","./utils/throttle":"../utils/throttle.js","./bundles/token":"../bundles/token.js","./bundles/layout-ui":"../bundles/layout-ui.js"}],"section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _crate = require("../crate");

var _default = function _default(_ref) {
  var title = _ref.title,
      children = _ref.children;
  return (0, _preact.h)(_crate.PageCrate, {
    wide: true
  }, (0, _preact.h)("h3", {
    className: "mt3"
  }, title), (0, _preact.h)("div", null, children));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","../crate":"../crate.js"}],"component-code.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _default = function _default(_ref) {
  var name = _ref.name,
      code = _ref.code,
      children = _ref.children;
  return (0, _preact.h)("div", {
    className: "bg-white pa3 br3 mt3"
  }, (0, _preact.h)("h3", {
    className: "mt0"
  }, name), (0, _preact.h)("div", {
    className: "fw6 mv2"
  }, "Code:"), (0, _preact.h)("code", {
    className: "light-blue dib bg-black-90 pa2 br2 overflow-x-auto w-100"
  }, (0, _preact.h)("pre", {
    className: "ma0 f6"
  }, code)), (0, _preact.h)("div", {
    className: "fw6 mv2"
  }, "Output:"), (0, _preact.h)("div", null, children));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs"}],"../utils/get-prop-variants.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

var _default = function _default(definition) {
  var result = [];

  var addDimension = function addDimension(category, options) {
    var values = ['default'].concat(_toConsumableArray(options));

    if (!result.length) {
      result.push.apply(result, _toConsumableArray(values.map(function (value) {
        return _defineProperty({}, category, value);
      })));
      return;
    }

    values.forEach(function (value, i) {
      if (i === 0) {
        result.forEach(function (item) {
          item[category] = value;
        });
      } else {
        var copy = JSON.parse(JSON.stringify(result));
        copy.forEach(function (item) {
          item[category] = value;
        });
        result.push.apply(result, _toConsumableArray(copy));
      }
    });
  };

  Object.keys(definition).forEach(function (key) {
    addDimension(key, definition[key]);
  }); // remove defaults

  var propVariants = result.map(function (item) {
    var props = {};
    Object.keys(item).forEach(function (key) {
      var value = item[key];

      if (value !== 'default') {
        props[value] = true;
      }
    });
    return props;
  });
  var results = {};
  propVariants.forEach(function (props) {
    results[Object.keys(props).sort().join(',')] = true;
  });
  var deduped = Object.keys(results).map(function (key) {
    return key.split(',');
  });
  return deduped.map(function (propArray) {
    return propArray.reduce(function (result, item) {
      if (item) {
        result[item] = true;
      }

      return result;
    }, {});
  });
};

exports.default = _default;
},{}],"introspect.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _componentCode = _interopRequireDefault(require("./component-code"));

var _getPropVariants = _interopRequireDefault(require("../utils/get-prop-variants"));

var _omit = _interopRequireDefault(require("../utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var serializeProps = function serializeProps(props) {
  if (!props) {
    return '';
  }

  return Object.keys(props).reduce(function (buffer, prop) {
    var value = props[prop];
    return "".concat(buffer, " ").concat(prop).concat(value === true ? '' : "=\"".concat(value, "\""));
  }, '');
};

var componentString = function componentString(name, props, content) {
  return "<".concat(name).concat(serializeProps(props)).concat(content ? ">".concat(content, "</").concat(name) : " />");
};

var _default = function _default(_ref) {
  var Component = _ref.Component,
      children = _ref.children,
      name = _ref.name;
  var _Component$definition = Component.definition.options,
      options = _Component$definition === void 0 ? {} : _Component$definition;
  var variants = (0, _getPropVariants.default)(options);
  var code = variants.reduce(function (buff, props) {
    return buff + componentString(name, props, children) + '\n';
  }, '');
  return (0, _preact.h)(_componentCode.default, {
    name: name,
    code: code
  }, variants.map(function (props) {
    return (0, _preact.h)(Component, _extends({
      title: componentString(name, props, children)
    }, Object.assign({}, props, {
      children: children
    }), {
      className: "mr2 mb2"
    }));
  }));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./component-code":"component-code.js","../utils/get-prop-variants":"../utils/get-prop-variants.js","../utils/omit":"../utils/omit.js"}],"dialog-section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _dialog = require("./../dialog");

var _button = require("../button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Container =
/*#__PURE__*/
function (_Component) {
  _inherits(Container, _Component);

  function Container(props) {
    var _this;

    _classCallCheck(this, Container);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Container).call(this, props));
    _this.state = {
      open: false
    };

    _this.open = function () {
      return _this.setState({
        open: true
      });
    };

    _this.close = function () {
      return _this.setState({
        open: false
      });
    };

    return _this;
  }

  _createClass(Container, [{
    key: "render",
    value: function render(props, _ref) {
      var open = _ref.open;
      return (0, _preact.h)(_section.default, {
        title: "Dialog"
      }, (0, _preact.h)(_componentCode.default, {
        name: "Dialog",
        code: "<Dialog doClose={this.close} title=\"A Dialog\">\n  Hello there\n</Dialog>"
      }, (0, _preact.h)(_button.Button, {
        onClick: this.open
      }, "Open"), open && (0, _preact.h)(_dialog.Dialog, {
        doClose: this.close,
        title: "A Dialog"
      }, "Hello there")));
    }
  }]);

  return Container;
}(_preact.Component);

var _default = Container;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./section":"section.js","./component-code":"component-code.js","./../dialog":"../dialog.js","../button":"../button.js"}],"numpad-section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _numpad = require("../numpad");

var _button = require("../button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Container =
/*#__PURE__*/
function (_Component) {
  _inherits(Container, _Component);

  function Container(props) {
    var _this;

    _classCallCheck(this, Container);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Container).call(this, props));
    _this.state = {
      value: 50,
      otherValue: 20,
      open: false
    };
    return _this;
  }

  _createClass(Container, [{
    key: "render",
    value: function render(props, _ref) {
      var _this2 = this;

      var value = _ref.value,
          open = _ref.open,
          otherValue = _ref.otherValue;
      return (0, _preact.h)(_section.default, {
        title: "Numpads"
      }, (0, _preact.h)(_componentCode.default, {
        name: "NumpadOverlay",
        code: "<NumpadOverlay\n  unit=\"mg\"\n  max={200}\n  maxDecimals={2}\n  onValue={value => {\n    this.setState({ value, open: false })\n  }}\n  onCancel={() => {\n    this.setState({ open: false })\n  }}\n/>"
      }, (0, _preact.h)("span", {
        className: "w4"
      }, value, " mg"), (0, _preact.h)(_button.Button, {
        onClick: function onClick() {
          return _this2.setState({
            open: true
          });
        }
      }, "Update Value"), open && (0, _preact.h)(_numpad.NumpadOverlay, {
        unit: "mg",
        max: 200,
        maxDecimals: 2,
        onValue: function onValue(value) {
          _this2.setState({
            value: value,
            open: false
          });
        },
        onCancel: function onCancel() {
          _this2.setState({
            open: false
          });
        }
      })), (0, _preact.h)(_componentCode.default, {
        name: "NumpadButton",
        code: "<NumpadButton\n  unit=\"mg\"\n  max={500}\n  maxDecimals={3}\n  onValue={value => this.setState({ otherValue: value })}\n/>"
      }, (0, _preact.h)("span", {
        className: "w4 mr2"
      }, otherValue, " mg"), (0, _preact.h)(_numpad.NumpadButton, {
        unit: "mg",
        max: 500,
        maxDecimals: 3,
        onValue: function onValue(value) {
          return _this2.setState({
            otherValue: value
          });
        }
      })));
    }
  }]);

  return Container;
}(_preact.Component);

var _default = Container;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./section":"section.js","./component-code":"component-code.js","../numpad":"../numpad.js","../button":"../button.js"}],"sections.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DialogSection", {
  enumerable: true,
  get: function () {
    return _dialogSection.default;
  }
});
Object.defineProperty(exports, "NumpadSection", {
  enumerable: true,
  get: function () {
    return _numpadSection.default;
  }
});
exports.MessagePageCrateSection = exports.IconSection = exports.InputSection = exports.LogoSection = exports.LinkSection = exports.ButtonSection = void 0;

var _preact = require("preact");

var _ = require("../");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _introspect = _interopRequireDefault(require("./introspect"));

var _dialogSection = _interopRequireDefault(require("./dialog-section"));

var _numpadSection = _interopRequireDefault(require("./numpad-section"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ButtonSection = function ButtonSection() {
  return (0, _preact.h)(_section.default, {
    title: "Buttons"
  }, (0, _preact.h)(_introspect.default, {
    Component: _.Button,
    name: "Button",
    children: "Button"
  }));
};

exports.ButtonSection = ButtonSection;

var LinkSection = function LinkSection() {
  return (0, _preact.h)(_section.default, {
    title: "Links"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Link",
    code: "<Link href='something'>hi</Link>"
  }, (0, _preact.h)(_.Link, {
    href: "something"
  }, "Some text")), (0, _preact.h)(_componentCode.default, {
    name: "SupportLink",
    code: "<SupportLink />"
  }, (0, _preact.h)(_.SupportLink, null)));
};

exports.LinkSection = LinkSection;

var LogoSection = function LogoSection() {
  return (0, _preact.h)(_section.default, {
    title: "Logos"
  }, (0, _preact.h)(_componentCode.default, {
    name: "LogoLight",
    code: "<LogoLight className=\"w5\" />"
  }, (0, _preact.h)(_.LogoLight, {
    className: "w5"
  })), (0, _preact.h)(_componentCode.default, {
    name: "LogoDark",
    code: "<div className=\"bg-dark-blue pa3 w5\">\n  <LogoDark />\n</div>"
  }, (0, _preact.h)("div", {
    className: "bg-dark-blue pa3 w5"
  }, (0, _preact.h)(_.LogoDark, null))));
};

exports.LogoSection = LogoSection;

var InputSection = function InputSection() {
  return (0, _preact.h)(_section.default, {
    title: "Inputs"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Input",
    code: "<Input />"
  }, (0, _preact.h)(_.Input, null)), (0, _preact.h)(_componentCode.default, {
    name: "Select",
    code: "<Select>\n  <option>option 1</option>\n  <option>option 2</option>\n</Select>"
  }, (0, _preact.h)(_.Select, null, (0, _preact.h)("option", null, "option 1"), (0, _preact.h)("option", null, "option 2"))), (0, _preact.h)(_componentCode.default, {
    name: "Textarea",
    code: "<Textarea />"
  }, (0, _preact.h)(_.Textarea, null)), (0, _preact.h)(_componentCode.default, {
    name: "TooltipButton",
    code: "<TooltipButton />"
  }, (0, _preact.h)(_.TooltipButton, {
    text: "some content"
  }, "Stuff goes here")));
};

exports.InputSection = InputSection;

var IconSection = function IconSection() {
  return (0, _preact.h)(_section.default, {
    title: "Icons"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Icon",
    code: "<Icon icon=\"pill\" />\n<Icon icon=\"close\" />"
  }, (0, _preact.h)(_.Icon, {
    icon: "pill"
  }), (0, _preact.h)(_.Icon, {
    icon: "close"
  })));
};

exports.IconSection = IconSection;

var MessagePageCrateSection = function MessagePageCrateSection() {
  return (0, _preact.h)(_section.default, {
    title: "Message Page Crate"
  }, (0, _preact.h)(_componentCode.default, {
    name: "MessagePageCrate",
    code: "<MessagePageCrate loading>Loading</MessagePageCrate>\n<MessagePageCrate warning>Uh oh!</MessagePageCrate>\n<MessagePageCrate error>Aw Crap!</MessagePageCrate>"
  }, (0, _preact.h)(_.MessagePageCrate, null, "Hello there!"), (0, _preact.h)(_.MessagePageCrate, {
    loading: true
  }, "Loading"), (0, _preact.h)(_.MessagePageCrate, {
    warning: true
  }, "Uh oh!"), (0, _preact.h)(_.MessagePageCrate, {
    error: true
  }, "Aw Crap!")));
};

exports.MessagePageCrateSection = MessagePageCrateSection;
},{"preact":"../../node_modules/preact/dist/preact.mjs","../":"../index.js","./section":"section.js","./component-code":"component-code.js","./introspect":"introspect.js","./dialog-section":"dialog-section.js","./numpad-section":"numpad-section.js"}],"../../package.json":[function(require,module,exports) {
module.exports = {
  "name": "ac-patterns",
  "version": "1.1.0",
  "main": "dist/index.node.js",
  "module": "dist/index.js",
  "scripts": {
    "start": "parcel component-library/site/index.html -d dist --public-url / --port 3000",
    "prepublishOnly": "npm run build",
    "build": "npm run build-module && npm run build-css && npm run build-umd",
    "build-module": "babel component-library --presets=babel-preset-preact --out-dir dist",
    "build-umd": "parcel build component-library/index.js --out-file dist/index.node.js --no-source-maps",
    "build-css": "cd tachyons-ac && npm run build && cd .. && cp tachyons-ac/css/tachyons.css dist/",
    "build-site": "parcel build component-library/site/index.html -d site --public-url / --no-minify"
  },
  "keywords": [],
  "author": "Henrik Joreteg <henrik@joreteg.com> (joreteg.com)",
  "license": "MIT",
  "devDependencies": {
    "babel-cli": "6.26.0",
    "babel-core": "6.26.3",
    "babel-plugin-transform-object-rest-spread": "6.26.0",
    "babel-preset-preact": "^1.1.0",
    "parcel": "^1.11.0",
    "redux-bundler": "23.0.2",
    "redux-bundler-preact": "1.1.0",
    "tachyons-cli": "1.3.2"
  },
  "dependencies": {
    "classnames": "2.2.6",
    "milliseconds": "1.0.3",
    "preact": "8.4.2",
    "preact-portal": "^1.1.3",
    "tryit": "1.0.3"
  },
  "prettier": {
    "semi": false,
    "singleQuote": true
  },
  "files": ["dist"]
};
},{}],"layout.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var sections = _interopRequireWildcard(require("./sections"));

var _drawer = require("../drawer");

var _crate = require("../crate");

var _appLayout = require("../app-layout");

var _package = require("../../package.json");

var _logo = require("../logo");

var _button = require("../button");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var _default =
/*#__PURE__*/
function (_Component) {
  _inherits(_default, _Component);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(_default).call(this, props));
    _this.state = {
      screenIsWide: _this.isScreenWide(),
      drawerOpen: false,
      drawerEnabled: true
    };
    _this.toggleDrawerOpen = _this.toggleDrawerOpen.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.toggleDrawerEnabled = _this.toggleDrawerEnabled.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.handleResize = _this.handleResize.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    return _this;
  }

  _createClass(_default, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('resize', this.handleResize, {
        passive: true
      });
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.handleResize, {
        passive: true
      });
    }
  }, {
    key: "toggleDrawerOpen",
    value: function toggleDrawerOpen() {
      this.setState({
        drawerOpen: !this.state.drawerOpen
      });
    }
  }, {
    key: "toggleDrawerEnabled",
    value: function toggleDrawerEnabled() {
      this.setState({
        drawerEnabled: !this.state.drawerEnabled
      });
    }
  }, {
    key: "handleResize",
    value: function handleResize() {
      var isWide = this.isScreenWide();

      if (isWide !== this.state.screenIsWide) {
        this.setState({
          screenIsWide: isWide
        });
      }
    }
  }, {
    key: "isScreenWide",
    value: function isScreenWide() {
      return window.innerWidth > 960;
    }
  }, {
    key: "render",
    value: function render(_, _ref) {
      var _this2 = this;

      var screenIsWide = _ref.screenIsWide,
          drawerEnabled = _ref.drawerEnabled,
          drawerOpen = _ref.drawerOpen;
      return (0, _preact.h)(_appLayout.AppLayout, {
        version: _package.version,
        doCloseDrawer: this.toggleDrawerOpen,
        doOpenDrawer: this.toggleDrawerOpen,
        screenIsWide: screenIsWide,
        drawerEnabled: drawerEnabled,
        drawerOpen: drawerOpen,
        mainContent: (0, _preact.h)(_crate.Page, {
          className: "ph3"
        }, Object.keys(sections).map(function (section) {
          var Component = sections[section];
          return (0, _preact.h)("div", {
            id: section
          }, (0, _preact.h)(Component, {
            key: section
          }));
        })),
        statusBarContent: (0, _preact.h)("div", {
          className: "pa2 flex items-center"
        }, (0, _preact.h)(_button.TapIconButton, {
          icon: "menu",
          onClick: this.toggleDrawerOpen,
          className: "dn-l"
        }), (0, _preact.h)(_logo.LogoLightMark, {
          className: "dn-l ml2",
          style: {
            width: '30px'
          }
        }), (0, _preact.h)("h2", {
          className: "pv0 mv2 f4 ml2"
        }, "Pattern Library")),
        drawerContent: (0, _preact.h)("div", null, (0, _preact.h)(_drawer.DrawerLinkContainer, {
          title: "Components"
        }, Object.keys(sections).map(function (section) {
          return (0, _preact.h)(_drawer.DrawerLink, {
            icon: "polymer",
            href: "#".concat(section),
            onClick: _this2.toggleDrawerOpen,
            title: section
          });
        })))
      });
    }
  }]);

  return _default;
}(_preact.Component);

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.mjs","./sections":"sections.js","../drawer":"../drawer.js","../crate":"../crate.js","../app-layout":"../app-layout.js","../../package.json":"../../package.json","../logo":"../logo.js","../button":"../button.js"}],"index.js":[function(require,module,exports) {
"use strict";

var _preact = require("preact");

var _layout = _interopRequireDefault(require("./layout"));

var cookie = _interopRequireWildcard(require("../utils/token-writer"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

window.cookieHelper = cookie;
(0, _preact.render)((0, _preact.h)("div", {
  id: "app"
}, (0, _preact.h)(_layout.default, null)), document.body, document.getElementById('app')); // if (module.hot) {
//   module.hot.dispose(() => {
//     document.getElementById('app').innerHTML = ''
//   })
// }
},{"preact":"../../node_modules/preact/dist/preact.mjs","./layout":"layout.js","../utils/token-writer":"../utils/token-writer.js"}],"../../node_modules/parcel/src/builtins/hmr-runtime.js":[function(require,module,exports) {
var global = arguments[3];
var OVERLAY_ID = '__parcel__error__overlay__';
var OldModule = module.bundle.Module;

function Module(moduleName) {
  OldModule.call(this, moduleName);
  this.hot = {
    data: module.bundle.hotData,
    _acceptCallbacks: [],
    _disposeCallbacks: [],
    accept: function (fn) {
      this._acceptCallbacks.push(fn || function () {});
    },
    dispose: function (fn) {
      this._disposeCallbacks.push(fn);
    }
  };
  module.bundle.hotData = null;
}

module.bundle.Module = Module;
var parent = module.bundle.parent;

if ((!parent || !parent.isParcelRequire) && typeof WebSocket !== 'undefined') {
  var hostname = "" || location.hostname;
  var protocol = location.protocol === 'https:' ? 'wss' : 'ws';
  var ws = new WebSocket(protocol + '://' + hostname + ':' + "63902" + '/');

  ws.onmessage = function (event) {
    var data = JSON.parse(event.data);

    if (data.type === 'update') {
      console.clear();
      data.assets.forEach(function (asset) {
        hmrApply(global.parcelRequire, asset);
      });
      data.assets.forEach(function (asset) {
        if (!asset.isNew) {
          hmrAccept(global.parcelRequire, asset.id);
        }
      });
    }

    if (data.type === 'reload') {
      ws.close();

      ws.onclose = function () {
        location.reload();
      };
    }

    if (data.type === 'error-resolved') {
      console.log('[parcel] ✨ Error resolved');
      removeErrorOverlay();
    }

    if (data.type === 'error') {
      console.error('[parcel] 🚨  ' + data.error.message + '\n' + data.error.stack);
      removeErrorOverlay();
      var overlay = createErrorOverlay(data);
      document.body.appendChild(overlay);
    }
  };
}

function removeErrorOverlay() {
  var overlay = document.getElementById(OVERLAY_ID);

  if (overlay) {
    overlay.remove();
  }
}

function createErrorOverlay(data) {
  var overlay = document.createElement('div');
  overlay.id = OVERLAY_ID; // html encode message and stack trace

  var message = document.createElement('div');
  var stackTrace = document.createElement('pre');
  message.innerText = data.error.message;
  stackTrace.innerText = data.error.stack;
  overlay.innerHTML = '<div style="background: black; font-size: 16px; color: white; position: fixed; height: 100%; width: 100%; top: 0px; left: 0px; padding: 30px; opacity: 0.85; font-family: Menlo, Consolas, monospace; z-index: 9999;">' + '<span style="background: red; padding: 2px 4px; border-radius: 2px;">ERROR</span>' + '<span style="top: 2px; margin-left: 5px; position: relative;">🚨</span>' + '<div style="font-size: 18px; font-weight: bold; margin-top: 20px;">' + message.innerHTML + '</div>' + '<pre>' + stackTrace.innerHTML + '</pre>' + '</div>';
  return overlay;
}

function getParents(bundle, id) {
  var modules = bundle.modules;

  if (!modules) {
    return [];
  }

  var parents = [];
  var k, d, dep;

  for (k in modules) {
    for (d in modules[k][1]) {
      dep = modules[k][1][d];

      if (dep === id || Array.isArray(dep) && dep[dep.length - 1] === id) {
        parents.push(k);
      }
    }
  }

  if (bundle.parent) {
    parents = parents.concat(getParents(bundle.parent, id));
  }

  return parents;
}

function hmrApply(bundle, asset) {
  var modules = bundle.modules;

  if (!modules) {
    return;
  }

  if (modules[asset.id] || !bundle.parent) {
    var fn = new Function('require', 'module', 'exports', asset.generated.js);
    asset.isNew = !modules[asset.id];
    modules[asset.id] = [fn, asset.deps];
  } else if (bundle.parent) {
    hmrApply(bundle.parent, asset);
  }
}

function hmrAccept(bundle, id) {
  var modules = bundle.modules;

  if (!modules) {
    return;
  }

  if (!modules[id] && bundle.parent) {
    return hmrAccept(bundle.parent, id);
  }

  var cached = bundle.cache[id];
  bundle.hotData = {};

  if (cached) {
    cached.hot.data = bundle.hotData;
  }

  if (cached && cached.hot && cached.hot._disposeCallbacks.length) {
    cached.hot._disposeCallbacks.forEach(function (cb) {
      cb(bundle.hotData);
    });
  }

  delete bundle.cache[id];
  bundle(id);
  cached = bundle.cache[id];

  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    cached.hot._acceptCallbacks.forEach(function (cb) {
      cb();
    });

    return true;
  }

  return getParents(global.parcelRequire, id).some(function (id) {
    return hmrAccept(global.parcelRequire, id);
  });
}
},{}]},{},["../../node_modules/parcel/src/builtins/hmr-runtime.js","index.js"], null)
//# sourceMappingURL=/site.e31bb0bc.map