export const throttle = (callback, delay) => {
  let timeout = null;
  const fn = (...args) => {
    if (!timeout) {
      timeout = setTimeout(function () {
        callback(...args);
        clearTimeout(timeout);
        timeout = null;
      }, delay);
    }
  };
  fn();
  return fn;
};